(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[         0,          0]
NotebookDataLength[    102114,       2354]
NotebookOptionsPosition[     98124,       2230]
NotebookOutlinePosition[     99717,       2280]
CellTagsIndexPosition[     99389,       2268]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Adiabatic Flash Distillation of a Benzene-Toluene Mixture", "DemoTitle",
 CellChangeTimes->{
  3.35696210375764*^9, {3.51254540315625*^9, 3.4941981089427757`*^9}, 
   3.494198882753621*^9, {3.494247198828125*^9, 3.494247199234375*^9}}],

Cell["", "InitializationSection"],

Cell[CellGroupData[{

Cell["", "ManipulateSection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"plt", ",", "plt2", ",", "hF", ",", "sol"}], "}"}], ",", 
     RowBox[{
      RowBox[{"P", "=", "760"}], ";", 
      RowBox[{"Aa1", "=", "6.90565"}], ";", 
      RowBox[{"Ba1", "=", "1211.033"}], ";", 
      RowBox[{"Ca1", "=", "220.79"}], ";", "\[IndentingNewLine]", 
      RowBox[{"Aa2", "=", "6.95464"}], ";", 
      RowBox[{"Ba2", "=", "1344.8"}], ";", 
      RowBox[{"Ca2", "=", "219.482"}], ";", "\[IndentingNewLine]", 
      RowBox[{"Psat1", "=", 
       RowBox[{"10", "^", 
        RowBox[{"(", 
         RowBox[{"Aa1", "-", 
          RowBox[{"Ba1", "/", 
           RowBox[{"(", 
            RowBox[{"T", "+", "Ca1"}], ")"}]}]}], ")"}]}]}], ";", " ", 
      "\[IndentingNewLine]", 
      RowBox[{"Psat2", "=", 
       RowBox[{"10", "^", 
        RowBox[{"(", 
         RowBox[{"Aa2", "-", 
          RowBox[{"Ba2", "/", 
           RowBox[{"(", 
            RowBox[{"T", "+", "Ca2"}], ")"}]}]}], ")"}]}]}], " ", ";", 
      "\[IndentingNewLine]", 
      RowBox[{"i", "=", "0"}], ";", "\[IndentingNewLine]", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"i", "\[LessEqual]", " ", "101"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"xa", "=", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"i", "-", "1"}], ")"}], " ", "0.01"}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"sol", "=", 
            RowBox[{"FindRoot", "[", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"Psat1", " ", "xa"}], "+", 
                RowBox[{"Psat2", " ", 
                 RowBox[{"(", 
                  RowBox[{"1", "-", "xa"}], ")"}]}]}], "\[Equal]", " ", "P"}],
               ",", 
              RowBox[{"{", 
               RowBox[{"T", ",", "10", ",", "200"}], "}"}]}], "]"}]}], ";", 
           RowBox[{
            RowBox[{"xe", "[", "i", "]"}], "=", "xa"}]}], ",", 
          RowBox[{
           RowBox[{"ye", "[", "i", "]"}], "=", 
           RowBox[{
            RowBox[{"Psat1", " ", 
             RowBox[{"xa", "/", "P"}]}], "/.", "sol"}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Te", "[", "i", "]"}], "=", 
           RowBox[{"T", "/.", "sol"}]}], ",", 
          RowBox[{"i", "++"}]}], "}"}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"Tbl1", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"xe", "[", "i", "]"}], ",", 
           RowBox[{"Te", "[", "i", "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "101"}], "}"}]}], "]"}]}], ";", 
      RowBox[{"Tbl2", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"ye", "[", "i", "]"}], ",", 
           RowBox[{"Te", "[", "i", "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "101"}], "}"}]}], "]"}]}], ";", 
      RowBox[{"Tbl3", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"xe", "[", "i", "]"}], ",", 
           RowBox[{"ye", "[", "i", "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "101"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Tx", "=", 
       RowBox[{"Interpolation", "[", 
        RowBox[{"Tbl1", ",", 
         RowBox[{"InterpolationOrder", "\[Rule]", " ", "1"}]}], "]"}]}], ";", 
      RowBox[{"Ty", "=", 
       RowBox[{"Interpolation", "[", 
        RowBox[{"Tbl2", ",", 
         RowBox[{"InterpolationOrder", "\[Rule]", " ", "1"}]}], "]"}]}], ";", 
      RowBox[{"xy", "=", 
       RowBox[{"Interpolation", "[", 
        RowBox[{"Tbl3", ",", 
         RowBox[{"InterpolationOrder", "\[Rule]", " ", "1"}]}], "]"}]}], ";", 
      "\n", 
      RowBox[{
       SubscriptBox["\[Lambda]", "A"], "=", 
       RowBox[{
        RowBox[{"138.2", " ", 
         RowBox[{"(", 
          RowBox[{"80.1", "-", 
           RowBox[{"Tx", "[", "1", "]"}]}], ")"}]}], "+", "30820", "-", 
        RowBox[{"96.3", " ", 
         RowBox[{"(", 
          RowBox[{"80.1", "-", 
           RowBox[{"Tx", "[", "1", "]"}]}], ")"}]}]}]}], ";", "\n", 
      RowBox[{
       SubscriptBox["\[Lambda]", "B"], "=", 
       RowBox[{
        RowBox[{"167.5", " ", 
         RowBox[{"(", 
          RowBox[{"110.6", "-", 
           RowBox[{"Tx", "[", "1", "]"}]}], ")"}]}], "+", "33330", "-", 
        RowBox[{"138.2", " ", 
         RowBox[{"(", 
          RowBox[{"110.6", "-", 
           RowBox[{"Tx", "[", "1", "]"}]}], ")"}]}]}]}], ";", "\n", 
      RowBox[{
       RowBox[{"H", "[", "y_", "]"}], ":=", " ", 
       RowBox[{
        RowBox[{"y", " ", 
         RowBox[{"(", 
          RowBox[{
           SubscriptBox["\[Lambda]", "A"], "+", 
           RowBox[{"96.3", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"Ty", "[", "y", "]"}], "-", 
              RowBox[{"Tx", "[", "1", "]"}]}], ")"}]}]}], ")"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", "y"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           SubscriptBox["\[Lambda]", "B"], "+", 
           RowBox[{"138.2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"Ty", "[", "y", "]"}], "-", 
              RowBox[{"Tx", "[", "1", "]"}]}], ")"}]}]}], ")"}]}]}]}], ";", 
      "\n", 
      RowBox[{
       RowBox[{"h", "[", "x_", "]"}], ":=", 
       RowBox[{
        RowBox[{"x", " ", 
         RowBox[{"(", 
          RowBox[{"138.2", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Tx", "[", "x", "]"}], "-", 
             RowBox[{"Tx", "[", "1", "]"}]}], ")"}]}], ")"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", "x"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"167.5", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Tx", "[", "x", "]"}], "-", 
             RowBox[{"Tx", "[", "1", "]"}]}], ")"}]}], ")"}]}]}]}], ";", "\n", 
      RowBox[{"hF", "=", 
       RowBox[{
        RowBox[{"zF", 
         RowBox[{"(", 
          RowBox[{"138.2", " ", 
           RowBox[{"(", 
            RowBox[{"TF", "-", 
             RowBox[{"Tx", "[", "1", "]"}]}], ")"}]}], ")"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", "zF"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"167.5", " ", 
           RowBox[{"(", 
            RowBox[{"TF", "-", 
             RowBox[{"Tx", "[", "1", "]"}]}], ")"}]}], ")"}]}]}]}], ";", "\n", 
      RowBox[{"sol", "=", 
       RowBox[{"Quiet", "[", 
        RowBox[{"FindRoot", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"hF", "\[Equal]", " ", 
             RowBox[{
              RowBox[{"L", " ", 
               RowBox[{"h", "[", "x", "]"}]}], "+", 
              RowBox[{"V", " ", 
               RowBox[{"H", "[", "y", "]"}]}]}]}], ",", 
            RowBox[{
             RowBox[{"L", "+", "V"}], "\[Equal]", "1"}], ",", 
            RowBox[{
             RowBox[{"xy", "[", "x", "]"}], "\[Equal]", "y"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"L", " ", "x"}], "+", 
              RowBox[{"V", " ", "y"}]}], "\[Equal]", " ", "zF"}]}], "}"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "0.9"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", "0.9"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"L", ",", "0.9"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"V", ",", "0.9"}], "}"}]}], "]"}], "]"}]}], ";", "\n", 
      RowBox[{"plt", "=", 
       RowBox[{"Quiet", "[", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"h", "[", "x", "]"}], ",", 
            RowBox[{"H", "[", "x", "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", 
          RowBox[{"Frame", "\[Rule]", " ", "True"}], ",", 
          RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
          RowBox[{"ImageSize", "\[Rule]", " ", 
           RowBox[{"{", 
            RowBox[{"500", ",", "350"}], "}"}]}], ",", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "1"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "42000"}], "}"}]}], "}"}]}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", " ", "Thick"}], ",", 
          RowBox[{"FrameLabel", "\[Rule]", " ", 
           RowBox[{"{", 
            RowBox[{
            "\"\<benzene vapor or liquid mole fractions\>\"", ",", 
             "\"\<saturated vapor and liquid enthalpies\>\""}], "}"}]}]}], 
         "]"}], "]"}]}], ";", 
      RowBox[{"plt2", "=", 
       RowBox[{"Quiet", "[", 
        RowBox[{"ListPlot", "[", 
         RowBox[{
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"i", ",", 
              RowBox[{"H", "[", 
               RowBox[{"xy", "[", "i", "]"}], "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "0", ",", "1", ",", "0.05"}], "}"}]}], "]"}], 
          ",", 
          RowBox[{"Joined", "\[Rule]", " ", "True"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"RGBColor", "[", 
              RowBox[{".33", ",", ".6", ",", ".7"}], "]"}], ",", " ", 
             "Thick"}], "}"}]}]}], "]"}], "]"}]}], ";", " ", 
      RowBox[{"Switch", "[", 
       RowBox[{"ctrl", ",", "1", ",", 
        RowBox[{"Show", "[", 
         RowBox[{"plt", ",", "plt2", ",", 
          RowBox[{"Graphics", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"RGBColor", "[", 
              RowBox[{".49", ",", "0", ",", "0"}], "]"}], ",", "Thick", ",", 
             RowBox[{
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"x", ",", 
                   RowBox[{"h", "[", "x", "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"x", ",", 
                   RowBox[{"H", "[", 
                    RowBox[{"xy", "[", "x", "]"}], "]"}]}], "}"}]}], "}"}], 
               "]"}], "/.", "sol"}], ",", 
             RowBox[{
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"x", ",", 
                   RowBox[{"H", "[", 
                    RowBox[{"xy", "[", "x", "]"}], "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"xy", "[", "x", "]"}], ",", 
                   RowBox[{"H", "[", 
                    RowBox[{"xy", "[", "x", "]"}], "]"}]}], "}"}]}], "}"}], 
               "]"}], "/.", "sol"}]}], "}"}], "]"}], ",", 
          RowBox[{"Graphics", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"RGBColor", "[", 
              RowBox[{".6", ",", ".73", ",", ".36"}], "]"}], ",", "Thick", 
             ",", 
             RowBox[{"Quiet", "[", 
              RowBox[{
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"x", ",", 
                    RowBox[{"h", "[", "x", "]"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"y", ",", 
                    RowBox[{"H", "[", 
                    RowBox[{"xy", "[", "x", "]"}], "]"}]}], "}"}]}], "}"}], 
                "]"}], "/.", "sol"}], "]"}]}], "}"}], "]"}], ",", 
          RowBox[{"Graphics", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"RGBColor", "[", 
              RowBox[{"0", ",", "0", ",", "1"}], "]"}], ",", 
             RowBox[{"PointSize", "[", "0.025", "]"}], ",", 
             RowBox[{"Point", "[", 
              RowBox[{"{", 
               RowBox[{"zF", ",", "hF"}], "}"}], "]"}]}], "}"}], "]"}], ",", 
          RowBox[{"ImageSize", "\[Rule]", " ", 
           RowBox[{"{", 
            RowBox[{"400", ",", "400"}], "}"}]}]}], "]"}], ",", "2", ",", 
        RowBox[{"Show", "[", 
         RowBox[{
          RowBox[{"Graphics", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"RGBColor", "[", 
              RowBox[{"0", ",", "0.88", ",", "0"}], "]"}], ",", 
             RowBox[{"EdgeForm", "[", "Thick", "]"}], ",", 
             RowBox[{"Rotate", "[", 
              RowBox[{
               RowBox[{"Polygon", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"1", ",", 
                    RowBox[{"-", "0.2"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"1.4", ",", "0.2"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"1.0", ",", "0.2"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"1.4", ",", 
                    RowBox[{"-", "0.2"}]}], "}"}]}], "}"}], "]"}], ",", 
               RowBox[{"Pi", "/", "2"}]}], "]"}], ",", 
             RowBox[{"RGBColor", "[", 
              RowBox[{"0", ",", "0", ",", "0.48"}], "]"}], ",", 
             RowBox[{"Arrow", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0.185", ",", "0"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0.995", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
             RowBox[{"RGBColor", "[", 
              RowBox[{"0", ",", "0", ",", "0.48"}], "]"}], ",", 
             RowBox[{"Arrow", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"1.405", ",", "0"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"1.9", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
             "Pink", ",", 
             RowBox[{"Rectangle", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"1.91", ",", 
                 RowBox[{"-", "1"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"3.11", ",", "1"}], "}"}]}], "]"}], ",", 
             RowBox[{"RGBColor", "[", 
              RowBox[{"0", ",", "0.48", ",", "0"}], "]"}], ",", 
             RowBox[{"Arrow", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"2.5", ",", "1"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"2.5", ",", "1.3"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"3.25", ",", "1.3"}], "}"}]}], "}"}], "]"}], ",", 
             "Red", ",", 
             RowBox[{"Arrow", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"2.5", ",", 
                  RowBox[{"-", "1"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"2.5", ",", 
                  RowBox[{"-", "1.3"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"3.25", ",", 
                  RowBox[{"-", "1.3"}]}], "}"}]}], "}"}], "]"}], ",", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Text", "[", 
                RowBox[{"\"\<feed enthalpy\>\"", ",", 
                 RowBox[{"{", 
                  RowBox[{"0.205", ",", "0.4"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0"}], "}"}]}], "]"}], ",", "Blue", ",", 
               "14"}], "]"}], ",", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Text", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"ToString", "[", 
                   RowBox[{"NumberForm", "[", 
                    RowBox[{"hF", ",", 
                    RowBox[{"{", 
                    RowBox[{"6", ",", "1"}], "}"}]}], "]"}], "]"}], "<>", 
                  "\"\< kJ/kg\[Hyphen]mole\>\""}], ",", 
                 RowBox[{"{", 
                  RowBox[{"0.205", ",", "0.2"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0"}], "}"}]}], "]"}], ",", "Blue", ",", 
               "14"}], "]"}], ",", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Text", "[", 
                RowBox[{"\"\<liquid composition\>\"", ",", 
                 RowBox[{"{", 
                  RowBox[{"3.25", ",", 
                   RowBox[{"-", "1.4"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0"}], "}"}]}], "]"}], ",", "Red", ",", 
               "14"}], "]"}], ",", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Text", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"ToString", "[", 
                   RowBox[{"NumberForm", "[", 
                    RowBox[{
                    RowBox[{"x", "/.", "sol"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"4", ",", "3"}], "}"}]}], "]"}], "]"}], "<>", 
                  "\"\< (benzene)\>\""}], ",", 
                 RowBox[{"{", 
                  RowBox[{"3.25", ",", 
                   RowBox[{"-", "1.6"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0"}], "}"}]}], "]"}], ",", "Red", ",", 
               "14"}], "]"}], ",", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Text", "[", 
                RowBox[{"\"\<vapor composition\>\"", ",", 
                 RowBox[{"{", 
                  RowBox[{"3.25", ",", "1.6"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0"}], "}"}]}], "]"}], ",", 
               RowBox[{"RGBColor", "[", 
                RowBox[{"0", ",", "0.48", ",", "0"}], "]"}], ",", "14"}], 
              "]"}], ",", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Text", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"ToString", "[", 
                   RowBox[{"NumberForm", "[", 
                    RowBox[{
                    RowBox[{"y", "/.", "sol"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"4", ",", "3"}], "}"}]}], "]"}], "]"}], "<>", 
                  "\"\< (benzene)\>\""}], ",", 
                 RowBox[{"{", 
                  RowBox[{"3.25", ",", "1.4"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0"}], "}"}]}], "]"}], ",", 
               RowBox[{"RGBColor", "[", 
                RowBox[{"0", ",", "0.48", ",", "0"}], "]"}], ",", "14"}], 
              "]"}], ",", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Text", "[", 
                RowBox[{"\"\<vapor fraction\>\"", ",", 
                 RowBox[{"{", 
                  RowBox[{"2.5", ",", "0.4"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0"}], "}"}]}], "]"}], ",", "Black", ",", 
               "14"}], "]"}], ",", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Text", "[", 
                RowBox[{
                 RowBox[{"ToString", "[", 
                  RowBox[{"NumberForm", "[", 
                   RowBox[{
                    RowBox[{"V", "/.", "sol"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"4", ",", "3"}], "}"}]}], "]"}], "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"2.5", ",", "0.2"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0"}], "}"}]}], "]"}], ",", "Black", ",", 
               "14"}], "]"}], ",", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Text", "[", 
                RowBox[{"\"\<drum temperature\>\"", ",", 
                 RowBox[{"{", 
                  RowBox[{"2.5", ",", 
                   RowBox[{"-", "0.4"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0"}], "}"}]}], "]"}], ",", "Blue", ",", 
               "14"}], "]"}], ",", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Text", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"ToString", "[", 
                   RowBox[{"NumberForm", "[", 
                    RowBox[{
                    RowBox[{"Tx", "[", 
                    RowBox[{"x", "/.", "sol"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"4", ",", "3"}], "}"}]}], "]"}], "]"}], "<>", 
                  "\"\< \[Degree]C\>\""}], ",", 
                 RowBox[{"{", 
                  RowBox[{"2.5", ",", 
                   RowBox[{"-", "0.6"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0"}], "}"}]}], "]"}], ",", "Blue", ",", 
               "14"}], "]"}]}], "}"}], "]"}], ",", 
          RowBox[{"ImageSize", "\[Rule]", " ", 
           RowBox[{"{", 
            RowBox[{"400", ",", "400"}], "}"}]}]}], "]"}]}], "]"}]}]}], "]"}],
    ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "TF", ",", "200", ",", "\"\<feed temperature in \[Degree]C\>\""}], 
      "}"}], ",", "120", ",", "300", ",", "10", ",", 
     RowBox[{"Appearance", "\[Rule]", " ", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"zF", ",", "0.4", ",", "\"\<feed composition\>\""}], "}"}], ",",
      "0.1", ",", "0.9", ",", "0.01", ",", 
     RowBox[{"Appearance", "\[Rule]", " ", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ctrl", ",", "1", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", " ", "\"\<Ponchon\[Dash]Savarit diagram\>\""}],
        ",", 
       RowBox[{
       "2", "\[Rule]", " ", 
        "\"\<flash distillation setup and results\>\""}]}], "}"}]}], "}"}], 
   ",", 
   RowBox[{"TrackedSymbols", " ", "\[Rule]", " ", 
    RowBox[{"{", 
     RowBox[{"TF", ",", "zF", ",", "ctrl"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4941925045133033`*^9, 3.4941925199871883`*^9}, {
   3.49419259764863*^9, 3.4941926178627863`*^9}, {3.49419265988419*^9, 
   3.4941927750757785`*^9}, {3.494192823673558*^9, 3.4941929645826178`*^9}, {
   3.4941930273952103`*^9, 3.4941930867546053`*^9}, {3.4941931284889927`*^9, 
   3.494193131976192*^9}, {3.494193200772127*^9, 3.4941932518630495`*^9}, {
   3.494193286719043*^9, 3.4941933051510973`*^9}, {3.494193345653414*^9, 
   3.4941933956012707`*^9}, {3.4941934456241317`*^9, 3.494193452121503*^9}, {
   3.4941935156661377`*^9, 3.494193613756748*^9}, {3.4941936654247036`*^9, 
   3.4941936710320244`*^9}, {3.49419388181608*^9, 3.494194022007099*^9}, {
   3.494194054442954*^9, 3.494194056451069*^9}, {3.494194096776376*^9, 
   3.494194178748064*^9}, {3.4941942464709377`*^9, 3.494194249755125*^9}, 
   3.4941942826670074`*^9, {3.4941956911835704`*^9, 3.4941957335119915`*^9}, {
   3.494195774167317*^9, 3.4941957743043246`*^9}, {3.494195813800584*^9, 
   3.4941958397230663`*^9}, {3.494195889401908*^9, 3.494196111775627*^9}, {
   3.4941962376698275`*^9, 3.494196276234033*^9}, {3.4941963333663015`*^9, 
   3.494196528651471*^9}, {3.4941965807784524`*^9, 3.4941967274048386`*^9}, {
   3.4941967620298195`*^9, 3.4941967923225517`*^9}, {3.4941968252354345`*^9, 
   3.4941968483847585`*^9}, {3.494196896910534*^9, 3.494197005334736*^9}, 
   3.4941970515543795`*^9, {3.4941970932597647`*^9, 3.4941971679490366`*^9}, {
   3.494197210355462*^9, 3.4941972748101487`*^9}, {3.4941973445031347`*^9, 
   3.4941974020784283`*^9}, {3.494197502938197*^9, 3.49419760229988*^9}, {
   3.4941976364088306`*^9, 3.4941976415941277`*^9}, {3.4941977276960526`*^9, 
   3.4941977344274373`*^9}, {3.494197770603506*^9, 3.494197771320547*^9}, {
   3.494247218375*^9, 3.494247261203125*^9}, {3.494247314203125*^9, 
   3.494247416734375*^9}, {3.494247484578125*^9, 3.49424748521875*^9}, {
   3.494247519296875*^9, 3.494247577359375*^9}, {3.4942476163125*^9, 
   3.494247617109375*^9}, 3.494248677482012*^9, 3.494248762106629*^9, {
   3.494248859669396*^9, 3.494248869147068*^9}, 3.4942489335758057`*^9, 
   3.494255929680698*^9},
 CellID->210373627],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`ctrl$$ = 1, $CellContext`TF$$ = 
    200, $CellContext`zF$$ = 0.4, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`TF$$], 200, "feed temperature in \[Degree]C"}, 120, 
      300, 10}, {{
       Hold[$CellContext`zF$$], 0.4, "feed composition"}, 0.1, 0.9, 0.01}, {{
       Hold[$CellContext`ctrl$$], 1, ""}, {
      1 -> "Ponchon\[Dash]Savarit diagram", 2 -> 
       "flash distillation setup and results"}}}, Typeset`size$$ = {
    400., {198., 202.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`TF$4775$$ = 
    0, $CellContext`zF$4776$$ = 0, $CellContext`ctrl$4777$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`ctrl$$ = 1, $CellContext`TF$$ = 
        200, $CellContext`zF$$ = 0.4}, "ControllerVariables" :> {
        Hold[$CellContext`TF$$, $CellContext`TF$4775$$, 0], 
        Hold[$CellContext`zF$$, $CellContext`zF$4776$$, 0], 
        Hold[$CellContext`ctrl$$, $CellContext`ctrl$4777$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`plt$, $CellContext`plt2$, $CellContext`hF$, \
$CellContext`sol$}, $CellContext`P = 760; $CellContext`Aa1 = 
         6.90565; $CellContext`Ba1 = 1211.033; $CellContext`Ca1 = 
         220.79; $CellContext`Aa2 = 6.95464; $CellContext`Ba2 = 
         1344.8; $CellContext`Ca2 = 219.482; $CellContext`Psat1 = 
         10^($CellContext`Aa1 - $CellContext`Ba1/($CellContext`T + \
$CellContext`Ca1)); $CellContext`Psat2 = 
         10^($CellContext`Aa2 - $CellContext`Ba2/($CellContext`T + \
$CellContext`Ca2)); $CellContext`i = 0; 
        While[$CellContext`i <= 
          101, {$CellContext`xa = ($CellContext`i - 1) 
            0.01, $CellContext`sol$ = 
            FindRoot[$CellContext`Psat1 $CellContext`xa + $CellContext`Psat2 (
                 1 - $CellContext`xa) == $CellContext`P, {$CellContext`T, 10, 
               200}]; $CellContext`xe[$CellContext`i] = $CellContext`xa, \
$CellContext`ye[$CellContext`i] = 
           ReplaceAll[$CellContext`Psat1 ($CellContext`xa/$CellContext`P), \
$CellContext`sol$], $CellContext`Te[$CellContext`i] = 
           ReplaceAll[$CellContext`T, $CellContext`sol$], 
           Increment[$CellContext`i]}]; $CellContext`Tbl1 = Table[{
            $CellContext`xe[$CellContext`i], 
            $CellContext`Te[$CellContext`i]}, {$CellContext`i, 1, 
            101}]; $CellContext`Tbl2 = Table[{
            $CellContext`ye[$CellContext`i], 
            $CellContext`Te[$CellContext`i]}, {$CellContext`i, 1, 
            101}]; $CellContext`Tbl3 = Table[{
            $CellContext`xe[$CellContext`i], 
            $CellContext`ye[$CellContext`i]}, {$CellContext`i, 1, 
            101}]; $CellContext`Tx = 
         Interpolation[$CellContext`Tbl1, InterpolationOrder -> 
           1]; $CellContext`Ty = 
         Interpolation[$CellContext`Tbl2, InterpolationOrder -> 
           1]; $CellContext`xy = 
         Interpolation[$CellContext`Tbl3, InterpolationOrder -> 1]; 
        Subscript[$CellContext`\[Lambda], $CellContext`A] = 
         138.2 (80.1 - $CellContext`Tx[1]) + 30820 - 
          96.3 (80.1 - $CellContext`Tx[1]); 
        Subscript[$CellContext`\[Lambda], $CellContext`B] = 
         167.5 (110.6 - $CellContext`Tx[1]) + 33330 - 
          138.2 (110.6 - $CellContext`Tx[1]); $CellContext`H[
           Pattern[$CellContext`y, 
            Blank[]]] := $CellContext`y (
            Subscript[$CellContext`\[Lambda], $CellContext`A] + 
            96.3 ($CellContext`Ty[$CellContext`y] - $CellContext`Tx[1])) + (
            1 - $CellContext`y) (
            Subscript[$CellContext`\[Lambda], $CellContext`B] + 
            138.2 ($CellContext`Ty[$CellContext`y] - $CellContext`Tx[
              1])); $CellContext`h[
           Pattern[$CellContext`x, 
            Blank[]]] := $CellContext`x (
            138.2 ($CellContext`Tx[$CellContext`x] - $CellContext`Tx[1])) + (
            1 - $CellContext`x) (
            167.5 ($CellContext`Tx[$CellContext`x] - $CellContext`Tx[
             1])); $CellContext`hF$ = $CellContext`zF$$ (
            138.2 ($CellContext`TF$$ - $CellContext`Tx[1])) + (
            1 - $CellContext`zF$$) (
            167.5 ($CellContext`TF$$ - $CellContext`Tx[
             1])); $CellContext`sol$ = Quiet[
           
           FindRoot[{$CellContext`hF$ == $CellContext`L \
$CellContext`h[$CellContext`x] + $CellContext`V \
$CellContext`H[$CellContext`y], $CellContext`L + $CellContext`V == 
             1, $CellContext`xy[$CellContext`x] == $CellContext`y, \
$CellContext`L $CellContext`x + $CellContext`V $CellContext`y == \
$CellContext`zF$$}, {$CellContext`x, 0.9}, {$CellContext`y, 
             0.9}, {$CellContext`L, 0.9}, {$CellContext`V, 
             0.9}]]; $CellContext`plt$ = Quiet[
           Plot[{
             $CellContext`h[$CellContext`x], 
             $CellContext`H[$CellContext`x]}, {$CellContext`x, 0, 1}, Frame -> 
            True, GridLines -> Automatic, ImageSize -> {500, 350}, 
            PlotRange -> {{0, 1}, {0, 42000}}, PlotStyle -> Thick, 
            FrameLabel -> {
             "benzene vapor or liquid mole fractions", 
              "saturated vapor and liquid enthalpies"}]]; $CellContext`plt2$ = 
         Quiet[
           ListPlot[
            Table[{$CellContext`i, 
              $CellContext`H[
               $CellContext`xy[$CellContext`i]]}, {$CellContext`i, 0, 1, 
              0.05}], Joined -> True, PlotStyle -> {
              RGBColor[0.33, 0.6, 0.7], Thick}]]; 
        Switch[$CellContext`ctrl$$, 1, 
          Show[$CellContext`plt$, $CellContext`plt2$, 
           Graphics[{
             RGBColor[0.49, 0, 0], Thick, 
             ReplaceAll[
              Line[{{$CellContext`x, 
                 $CellContext`h[$CellContext`x]}, {$CellContext`x, 
                 $CellContext`H[
                  $CellContext`xy[$CellContext`x]]}}], $CellContext`sol$], 
             ReplaceAll[
              Line[{{$CellContext`x, 
                 $CellContext`H[
                  $CellContext`xy[$CellContext`x]]}, {
                 $CellContext`xy[$CellContext`x], 
                 $CellContext`H[
                  $CellContext`xy[$CellContext`x]]}}], $CellContext`sol$]}], 
           Graphics[{
             RGBColor[0.6, 0.73, 0.36], Thick, 
             Quiet[
              ReplaceAll[
               Line[{{$CellContext`x, 
                  $CellContext`h[$CellContext`x]}, {$CellContext`y, 
                  $CellContext`H[
                   $CellContext`xy[$CellContext`x]]}}], $CellContext`sol$]]}], 
           Graphics[{
             RGBColor[0, 0, 1], 
             PointSize[0.025], 
             Point[{$CellContext`zF$$, $CellContext`hF$}]}], 
           ImageSize -> {400, 400}], 2, 
          Show[
           Graphics[{
             RGBColor[0, 0.88, 0], 
             EdgeForm[Thick], 
             Rotate[
              Polygon[{{1, -0.2}, {1.4, 0.2}, {1., 0.2}, {1.4, -0.2}}], Pi/2], 
             RGBColor[0, 0, 0.48], 
             Arrow[{{0.185, 0}, {0.995, 0}}], 
             RGBColor[0, 0, 0.48], 
             Arrow[{{1.405, 0}, {1.9, 0}}], Pink, 
             Rectangle[{1.91, -1}, {3.11, 1}], 
             RGBColor[0, 0.48, 0], 
             Arrow[{{2.5, 1}, {2.5, 1.3}, {3.25, 1.3}}], Red, 
             Arrow[{{2.5, -1}, {2.5, -1.3}, {3.25, -1.3}}], 
             Style[
              Text["feed enthalpy", {0.205, 0.4}, {0, 0}], Blue, 14], 
             Style[
              Text[
               StringJoin[
                ToString[
                 NumberForm[$CellContext`hF$, {6, 1}]], 
                " kJ/kg\[Hyphen]mole"], {0.205, 0.2}, {0, 0}], Blue, 14], 
             Style[
              Text["liquid composition", {3.25, -1.4}, {0, 0}], Red, 14], 
             Style[
              Text[
               StringJoin[
                ToString[
                 NumberForm[
                  ReplaceAll[$CellContext`x, $CellContext`sol$], {4, 3}]], 
                " (benzene)"], {3.25, -1.6}, {0, 0}], Red, 14], 
             Style[
              Text["vapor composition", {3.25, 1.6}, {0, 0}], 
              RGBColor[0, 0.48, 0], 14], 
             Style[
              Text[
               StringJoin[
                ToString[
                 NumberForm[
                  ReplaceAll[$CellContext`y, $CellContext`sol$], {4, 3}]], 
                " (benzene)"], {3.25, 1.4}, {0, 0}], 
              RGBColor[0, 0.48, 0], 14], 
             Style[
              Text["vapor fraction", {2.5, 0.4}, {0, 0}], Black, 14], 
             Style[
              Text[
               ToString[
                NumberForm[
                 ReplaceAll[$CellContext`V, $CellContext`sol$], {4, 3}]], {
               2.5, 0.2}, {0, 0}], Black, 14], 
             Style[
              Text["drum temperature", {2.5, -0.4}, {0, 0}], Blue, 14], 
             Style[
              Text[
               StringJoin[
                ToString[
                 NumberForm[
                  $CellContext`Tx[
                   ReplaceAll[$CellContext`x, $CellContext`sol$]], {4, 3}]], 
                " \[Degree]C"], {2.5, -0.6}, {0, 0}], Blue, 14]}], 
           ImageSize -> {400, 400}]]], 
      "Specifications" :> {{{$CellContext`TF$$, 200, 
          "feed temperature in \[Degree]C"}, 120, 300, 10, Appearance -> 
         "Labeled"}, {{$CellContext`zF$$, 0.4, "feed composition"}, 0.1, 0.9, 
         0.01, Appearance -> "Labeled"}, {{$CellContext`ctrl$$, 1, ""}, {
         1 -> "Ponchon\[Dash]Savarit diagram", 2 -> 
          "flash distillation setup and results"}}}, 
      "Options" :> {
       TrackedSymbols -> {$CellContext`TF$$, $CellContext`zF$$, \
$CellContext`ctrl$$}}, "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{443., {269.34375, 274.65625}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->1784514344]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "ManipulateCaptionSection"],

Cell["\<\
Consider a binary mixture composed of benzene and toluene. This mixture is \
fed into an adiabatic flash drum operating at 760 mmHg.\
\>", "ManipulateCaption",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4941982989158287`*^9, 3.4941983831671333`*^9}, {
   3.494198463419385*^9, 3.4941984645849047`*^9}, 3.4941988884662085`*^9, {
   3.494248497426622*^9, 3.494248498027903*^9}, {3.4942560239833393`*^9, 
   3.4942560246315613`*^9}},
 CellID->6033742],

Cell["\<\
You can set the feed temperature and composition (i.e. benzene mole \
fraction). The feed is assumed to be liquid at the high pressure of the \
system.\
\>", "ManipulateCaption",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4941983633458223`*^9, 3.4941984313913794`*^9}, {
   3.4941984744110603`*^9, 3.494198531752625*^9}, {3.494247667640625*^9, 
   3.494247677765625*^9}, {3.494248508615861*^9, 3.4942485126444817`*^9}, {
   3.494248546070066*^9, 3.494248571973714*^9}, 3.4942559838009977`*^9},
 CellID->527128855],

Cell["\<\
The Demonstration plots the feed location in the enthalpy-composition or \
Ponchon\[Dash]Savarit diagram. The tie line (or isotherm) is also represented \
in this diagram. The Demonstration displays the composition of the two phases \
leaving the flash drum, the temperature of the drum, and the flash \
distillation setup. \
\>", "ManipulateCaption",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4941985331981544`*^9, 3.4941986968987446`*^9}, {
   3.494198733975317*^9, 3.4941988608442817`*^9}, {3.49424769146875*^9, 
   3.49424769209375*^9}, {3.494247732453125*^9, 3.4942477564375*^9}, 
   3.494256014383263*^9},
 CellID->396597635]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "ThumbnailSection"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`ctrl$$ = 2, $CellContext`TF$$ = 
    200, $CellContext`zF$$ = 0.4, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`TF$$], 200, "feed temperature in \[Degree]C"}, 120, 
      300, 10}, {{
       Hold[$CellContext`zF$$], 0.4, "feed composition"}, 0.1, 0.9, 0.01}, {{
       Hold[$CellContext`ctrl$$], 2, ""}, {
      1 -> "Ponchon\[Dash]Savarit diagram", 2 -> 
       "flash distillation setup and results"}}}, Typeset`size$$ = {
    400., {198., 202.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`TF$4839$$ = 
    0, $CellContext`zF$4840$$ = 0, $CellContext`ctrl$4841$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`ctrl$$ = 2, $CellContext`TF$$ = 
        200, $CellContext`zF$$ = 0.4}, "ControllerVariables" :> {
        Hold[$CellContext`TF$$, $CellContext`TF$4839$$, 0], 
        Hold[$CellContext`zF$$, $CellContext`zF$4840$$, 0], 
        Hold[$CellContext`ctrl$$, $CellContext`ctrl$4841$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`plt$, $CellContext`plt2$, $CellContext`hF$, \
$CellContext`sol$}, $CellContext`P = 760; $CellContext`Aa1 = 
         6.90565; $CellContext`Ba1 = 1211.033; $CellContext`Ca1 = 
         220.79; $CellContext`Aa2 = 6.95464; $CellContext`Ba2 = 
         1344.8; $CellContext`Ca2 = 219.482; $CellContext`Psat1 = 
         10^($CellContext`Aa1 - $CellContext`Ba1/($CellContext`T + \
$CellContext`Ca1)); $CellContext`Psat2 = 
         10^($CellContext`Aa2 - $CellContext`Ba2/($CellContext`T + \
$CellContext`Ca2)); $CellContext`i = 0; 
        While[$CellContext`i <= 
          101, {$CellContext`xa = ($CellContext`i - 1) 
            0.01, $CellContext`sol$ = 
            FindRoot[$CellContext`Psat1 $CellContext`xa + $CellContext`Psat2 (
                 1 - $CellContext`xa) == $CellContext`P, {$CellContext`T, 10, 
               200}]; $CellContext`xe[$CellContext`i] = $CellContext`xa, \
$CellContext`ye[$CellContext`i] = 
           ReplaceAll[$CellContext`Psat1 ($CellContext`xa/$CellContext`P), \
$CellContext`sol$], $CellContext`Te[$CellContext`i] = 
           ReplaceAll[$CellContext`T, $CellContext`sol$], 
           Increment[$CellContext`i]}]; $CellContext`Tbl1 = Table[{
            $CellContext`xe[$CellContext`i], 
            $CellContext`Te[$CellContext`i]}, {$CellContext`i, 1, 
            101}]; $CellContext`Tbl2 = Table[{
            $CellContext`ye[$CellContext`i], 
            $CellContext`Te[$CellContext`i]}, {$CellContext`i, 1, 
            101}]; $CellContext`Tbl3 = Table[{
            $CellContext`xe[$CellContext`i], 
            $CellContext`ye[$CellContext`i]}, {$CellContext`i, 1, 
            101}]; $CellContext`Tx = 
         Interpolation[$CellContext`Tbl1, InterpolationOrder -> 
           1]; $CellContext`Ty = 
         Interpolation[$CellContext`Tbl2, InterpolationOrder -> 
           1]; $CellContext`xy = 
         Interpolation[$CellContext`Tbl3, InterpolationOrder -> 1]; 
        Subscript[$CellContext`\[Lambda], $CellContext`A] = 
         138.2 (80.1 - $CellContext`Tx[1]) + 30820 - 
          96.3 (80.1 - $CellContext`Tx[1]); 
        Subscript[$CellContext`\[Lambda], $CellContext`B] = 
         167.5 (110.6 - $CellContext`Tx[1]) + 33330 - 
          138.2 (110.6 - $CellContext`Tx[1]); $CellContext`H[
           Pattern[$CellContext`y, 
            Blank[]]] := $CellContext`y (
            Subscript[$CellContext`\[Lambda], $CellContext`A] + 
            96.3 ($CellContext`Ty[$CellContext`y] - $CellContext`Tx[1])) + (
            1 - $CellContext`y) (
            Subscript[$CellContext`\[Lambda], $CellContext`B] + 
            138.2 ($CellContext`Ty[$CellContext`y] - $CellContext`Tx[
              1])); $CellContext`h[
           Pattern[$CellContext`x, 
            Blank[]]] := $CellContext`x (
            138.2 ($CellContext`Tx[$CellContext`x] - $CellContext`Tx[1])) + (
            1 - $CellContext`x) (
            167.5 ($CellContext`Tx[$CellContext`x] - $CellContext`Tx[
             1])); $CellContext`hF$ = $CellContext`zF$$ (
            138.2 ($CellContext`TF$$ - $CellContext`Tx[1])) + (
            1 - $CellContext`zF$$) (
            167.5 ($CellContext`TF$$ - $CellContext`Tx[
             1])); $CellContext`sol$ = Quiet[
           
           FindRoot[{$CellContext`hF$ == $CellContext`L \
$CellContext`h[$CellContext`x] + $CellContext`V \
$CellContext`H[$CellContext`y], $CellContext`L + $CellContext`V == 
             1, $CellContext`xy[$CellContext`x] == $CellContext`y, \
$CellContext`L $CellContext`x + $CellContext`V $CellContext`y == \
$CellContext`zF$$}, {$CellContext`x, 0.9}, {$CellContext`y, 
             0.9}, {$CellContext`L, 0.9}, {$CellContext`V, 
             0.9}]]; $CellContext`plt$ = Quiet[
           Plot[{
             $CellContext`h[$CellContext`x], 
             $CellContext`H[$CellContext`x]}, {$CellContext`x, 0, 1}, Frame -> 
            True, GridLines -> Automatic, ImageSize -> {500, 350}, 
            PlotRange -> {{0, 1}, {0, 42000}}, PlotStyle -> Thick, 
            FrameLabel -> {
             "benzene vapor or liquid mole fractions", 
              "saturated vapor and liquid enthalpies"}]]; $CellContext`plt2$ = 
         Quiet[
           ListPlot[
            Table[{$CellContext`i, 
              $CellContext`H[
               $CellContext`xy[$CellContext`i]]}, {$CellContext`i, 0, 1, 
              0.05}], Joined -> True, PlotStyle -> {
              RGBColor[0.33, 0.6, 0.7], Thick}]]; 
        Switch[$CellContext`ctrl$$, 1, 
          Show[$CellContext`plt$, $CellContext`plt2$, 
           Graphics[{
             RGBColor[0.49, 0, 0], Thick, 
             ReplaceAll[
              Line[{{$CellContext`x, 
                 $CellContext`h[$CellContext`x]}, {$CellContext`x, 
                 $CellContext`H[
                  $CellContext`xy[$CellContext`x]]}}], $CellContext`sol$], 
             ReplaceAll[
              Line[{{$CellContext`x, 
                 $CellContext`H[
                  $CellContext`xy[$CellContext`x]]}, {
                 $CellContext`xy[$CellContext`x], 
                 $CellContext`H[
                  $CellContext`xy[$CellContext`x]]}}], $CellContext`sol$]}], 
           Graphics[{
             RGBColor[0.6, 0.73, 0.36], Thick, 
             Quiet[
              ReplaceAll[
               Line[{{$CellContext`x, 
                  $CellContext`h[$CellContext`x]}, {$CellContext`y, 
                  $CellContext`H[
                   $CellContext`xy[$CellContext`x]]}}], $CellContext`sol$]]}], 
           Graphics[{
             RGBColor[0, 0, 1], 
             PointSize[0.025], 
             Point[{$CellContext`zF$$, $CellContext`hF$}]}], 
           ImageSize -> {400, 400}], 2, 
          Show[
           Graphics[{
             RGBColor[0, 0.88, 0], 
             EdgeForm[Thick], 
             Rotate[
              Polygon[{{1, -0.2}, {1.4, 0.2}, {1., 0.2}, {1.4, -0.2}}], Pi/2], 
             RGBColor[0, 0, 0.48], 
             Arrow[{{0.185, 0}, {0.995, 0}}], 
             RGBColor[0, 0, 0.48], 
             Arrow[{{1.405, 0}, {1.9, 0}}], Pink, 
             Rectangle[{1.91, -1}, {3.11, 1}], 
             RGBColor[0, 0.48, 0], 
             Arrow[{{2.5, 1}, {2.5, 1.3}, {3.25, 1.3}}], Red, 
             Arrow[{{2.5, -1}, {2.5, -1.3}, {3.25, -1.3}}], 
             Style[
              Text["feed enthalpy", {0.205, 0.4}, {0, 0}], Blue, 14], 
             Style[
              Text[
               StringJoin[
                ToString[
                 NumberForm[$CellContext`hF$, {6, 1}]], 
                " kJ/kg\[Hyphen]mole"], {0.205, 0.2}, {0, 0}], Blue, 14], 
             Style[
              Text["liquid composition", {3.25, -1.4}, {0, 0}], Red, 14], 
             Style[
              Text[
               StringJoin[
                ToString[
                 NumberForm[
                  ReplaceAll[$CellContext`x, $CellContext`sol$], {4, 3}]], 
                " (benzene)"], {3.25, -1.6}, {0, 0}], Red, 14], 
             Style[
              Text["vapor composition", {3.25, 1.6}, {0, 0}], 
              RGBColor[0, 0.48, 0], 14], 
             Style[
              Text[
               StringJoin[
                ToString[
                 NumberForm[
                  ReplaceAll[$CellContext`y, $CellContext`sol$], {4, 3}]], 
                " (benzene)"], {3.25, 1.4}, {0, 0}], 
              RGBColor[0, 0.48, 0], 14], 
             Style[
              Text["vapor fraction", {2.5, 0.4}, {0, 0}], Black, 14], 
             Style[
              Text[
               ToString[
                NumberForm[
                 ReplaceAll[$CellContext`V, $CellContext`sol$], {4, 3}]], {
               2.5, 0.2}, {0, 0}], Black, 14], 
             Style[
              Text["drum temperature", {2.5, -0.4}, {0, 0}], Blue, 14], 
             Style[
              Text[
               StringJoin[
                ToString[
                 NumberForm[
                  $CellContext`Tx[
                   ReplaceAll[$CellContext`x, $CellContext`sol$]], {4, 3}]], 
                " \[Degree]C"], {2.5, -0.6}, {0, 0}], Blue, 14]}], 
           ImageSize -> {400, 400}]]], 
      "Specifications" :> {{{$CellContext`TF$$, 200, 
          "feed temperature in \[Degree]C"}, 120, 300, 10, Appearance -> 
         "Labeled"}, {{$CellContext`zF$$, 0.4, "feed composition"}, 0.1, 0.9, 
         0.01, Appearance -> "Labeled"}, {{$CellContext`ctrl$$, 2, ""}, {
         1 -> "Ponchon\[Dash]Savarit diagram", 2 -> 
          "flash distillation setup and results"}}}, 
      "Options" :> {
       TrackedSymbols -> {$CellContext`TF$$, $CellContext`zF$$, \
$CellContext`ctrl$$}}, "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{443., {269.34375, 274.65625}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->575965606]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SnapshotsSection"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`ctrl$$ = 2, $CellContext`TF$$ = 
    280, $CellContext`zF$$ = 0.72, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`TF$$], 280, "feed temperature in \[Degree]C"}, 120, 
      300, 10}, {{
       Hold[$CellContext`zF$$], 0.72, "feed composition"}, 0.1, 0.9, 0.01}, {{
       Hold[$CellContext`ctrl$$], 2, ""}, {
      1 -> "Ponchon\[Dash]Savarit diagram", 2 -> 
       "flash distillation setup and results"}}}, Typeset`size$$ = {
    400., {198., 202.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`TF$4901$$ = 
    0, $CellContext`zF$4902$$ = 0, $CellContext`ctrl$4903$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`ctrl$$ = 2, $CellContext`TF$$ = 
        280, $CellContext`zF$$ = 0.72}, "ControllerVariables" :> {
        Hold[$CellContext`TF$$, $CellContext`TF$4901$$, 0], 
        Hold[$CellContext`zF$$, $CellContext`zF$4902$$, 0], 
        Hold[$CellContext`ctrl$$, $CellContext`ctrl$4903$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`plt$, $CellContext`plt2$, $CellContext`hF$, \
$CellContext`sol$}, $CellContext`P = 760; $CellContext`Aa1 = 
         6.90565; $CellContext`Ba1 = 1211.033; $CellContext`Ca1 = 
         220.79; $CellContext`Aa2 = 6.95464; $CellContext`Ba2 = 
         1344.8; $CellContext`Ca2 = 219.482; $CellContext`Psat1 = 
         10^($CellContext`Aa1 - $CellContext`Ba1/($CellContext`T + \
$CellContext`Ca1)); $CellContext`Psat2 = 
         10^($CellContext`Aa2 - $CellContext`Ba2/($CellContext`T + \
$CellContext`Ca2)); $CellContext`i = 0; 
        While[$CellContext`i <= 
          101, {$CellContext`xa = ($CellContext`i - 1) 
            0.01, $CellContext`sol$ = 
            FindRoot[$CellContext`Psat1 $CellContext`xa + $CellContext`Psat2 (
                 1 - $CellContext`xa) == $CellContext`P, {$CellContext`T, 10, 
               200}]; $CellContext`xe[$CellContext`i] = $CellContext`xa, \
$CellContext`ye[$CellContext`i] = 
           ReplaceAll[$CellContext`Psat1 ($CellContext`xa/$CellContext`P), \
$CellContext`sol$], $CellContext`Te[$CellContext`i] = 
           ReplaceAll[$CellContext`T, $CellContext`sol$], 
           Increment[$CellContext`i]}]; $CellContext`Tbl1 = Table[{
            $CellContext`xe[$CellContext`i], 
            $CellContext`Te[$CellContext`i]}, {$CellContext`i, 1, 
            101}]; $CellContext`Tbl2 = Table[{
            $CellContext`ye[$CellContext`i], 
            $CellContext`Te[$CellContext`i]}, {$CellContext`i, 1, 
            101}]; $CellContext`Tbl3 = Table[{
            $CellContext`xe[$CellContext`i], 
            $CellContext`ye[$CellContext`i]}, {$CellContext`i, 1, 
            101}]; $CellContext`Tx = 
         Interpolation[$CellContext`Tbl1, InterpolationOrder -> 
           1]; $CellContext`Ty = 
         Interpolation[$CellContext`Tbl2, InterpolationOrder -> 
           1]; $CellContext`xy = 
         Interpolation[$CellContext`Tbl3, InterpolationOrder -> 1]; 
        Subscript[$CellContext`\[Lambda], $CellContext`A] = 
         138.2 (80.1 - $CellContext`Tx[1]) + 30820 - 
          96.3 (80.1 - $CellContext`Tx[1]); 
        Subscript[$CellContext`\[Lambda], $CellContext`B] = 
         167.5 (110.6 - $CellContext`Tx[1]) + 33330 - 
          138.2 (110.6 - $CellContext`Tx[1]); $CellContext`H[
           Pattern[$CellContext`y, 
            Blank[]]] := $CellContext`y (
            Subscript[$CellContext`\[Lambda], $CellContext`A] + 
            96.3 ($CellContext`Ty[$CellContext`y] - $CellContext`Tx[1])) + (
            1 - $CellContext`y) (
            Subscript[$CellContext`\[Lambda], $CellContext`B] + 
            138.2 ($CellContext`Ty[$CellContext`y] - $CellContext`Tx[
              1])); $CellContext`h[
           Pattern[$CellContext`x, 
            Blank[]]] := $CellContext`x (
            138.2 ($CellContext`Tx[$CellContext`x] - $CellContext`Tx[1])) + (
            1 - $CellContext`x) (
            167.5 ($CellContext`Tx[$CellContext`x] - $CellContext`Tx[
             1])); $CellContext`hF$ = $CellContext`zF$$ (
            138.2 ($CellContext`TF$$ - $CellContext`Tx[1])) + (
            1 - $CellContext`zF$$) (
            167.5 ($CellContext`TF$$ - $CellContext`Tx[
             1])); $CellContext`sol$ = Quiet[
           
           FindRoot[{$CellContext`hF$ == $CellContext`L \
$CellContext`h[$CellContext`x] + $CellContext`V \
$CellContext`H[$CellContext`y], $CellContext`L + $CellContext`V == 
             1, $CellContext`xy[$CellContext`x] == $CellContext`y, \
$CellContext`L $CellContext`x + $CellContext`V $CellContext`y == \
$CellContext`zF$$}, {$CellContext`x, 0.9}, {$CellContext`y, 
             0.9}, {$CellContext`L, 0.9}, {$CellContext`V, 
             0.9}]]; $CellContext`plt$ = Quiet[
           Plot[{
             $CellContext`h[$CellContext`x], 
             $CellContext`H[$CellContext`x]}, {$CellContext`x, 0, 1}, Frame -> 
            True, GridLines -> Automatic, ImageSize -> {500, 350}, 
            PlotRange -> {{0, 1}, {0, 42000}}, PlotStyle -> Thick, 
            FrameLabel -> {
             "benzene vapor or liquid mole fractions", 
              "saturated vapor and liquid enthalpies"}]]; $CellContext`plt2$ = 
         Quiet[
           ListPlot[
            Table[{$CellContext`i, 
              $CellContext`H[
               $CellContext`xy[$CellContext`i]]}, {$CellContext`i, 0, 1, 
              0.05}], Joined -> True, PlotStyle -> {
              RGBColor[0.33, 0.6, 0.7], Thick}]]; 
        Switch[$CellContext`ctrl$$, 1, 
          Show[$CellContext`plt$, $CellContext`plt2$, 
           Graphics[{
             RGBColor[0.49, 0, 0], Thick, 
             ReplaceAll[
              Line[{{$CellContext`x, 
                 $CellContext`h[$CellContext`x]}, {$CellContext`x, 
                 $CellContext`H[
                  $CellContext`xy[$CellContext`x]]}}], $CellContext`sol$], 
             ReplaceAll[
              Line[{{$CellContext`x, 
                 $CellContext`H[
                  $CellContext`xy[$CellContext`x]]}, {
                 $CellContext`xy[$CellContext`x], 
                 $CellContext`H[
                  $CellContext`xy[$CellContext`x]]}}], $CellContext`sol$]}], 
           Graphics[{
             RGBColor[0.6, 0.73, 0.36], Thick, 
             Quiet[
              ReplaceAll[
               Line[{{$CellContext`x, 
                  $CellContext`h[$CellContext`x]}, {$CellContext`y, 
                  $CellContext`H[
                   $CellContext`xy[$CellContext`x]]}}], $CellContext`sol$]]}], 
           Graphics[{
             RGBColor[0, 0, 1], 
             PointSize[0.025], 
             Point[{$CellContext`zF$$, $CellContext`hF$}]}], 
           ImageSize -> {400, 400}], 2, 
          Show[
           Graphics[{
             RGBColor[0, 0.88, 0], 
             EdgeForm[Thick], 
             Rotate[
              Polygon[{{1, -0.2}, {1.4, 0.2}, {1., 0.2}, {1.4, -0.2}}], Pi/2], 
             RGBColor[0, 0, 0.48], 
             Arrow[{{0.185, 0}, {0.995, 0}}], 
             RGBColor[0, 0, 0.48], 
             Arrow[{{1.405, 0}, {1.9, 0}}], Pink, 
             Rectangle[{1.91, -1}, {3.11, 1}], 
             RGBColor[0, 0.48, 0], 
             Arrow[{{2.5, 1}, {2.5, 1.3}, {3.25, 1.3}}], Red, 
             Arrow[{{2.5, -1}, {2.5, -1.3}, {3.25, -1.3}}], 
             Style[
              Text["feed enthalpy", {0.205, 0.4}, {0, 0}], Blue, 14], 
             Style[
              Text[
               StringJoin[
                ToString[
                 NumberForm[$CellContext`hF$, {6, 1}]], 
                " kJ/kg\[Hyphen]mole"], {0.205, 0.2}, {0, 0}], Blue, 14], 
             Style[
              Text["liquid composition", {3.25, -1.4}, {0, 0}], Red, 14], 
             Style[
              Text[
               StringJoin[
                ToString[
                 NumberForm[
                  ReplaceAll[$CellContext`x, $CellContext`sol$], {4, 3}]], 
                " (benzene)"], {3.25, -1.6}, {0, 0}], Red, 14], 
             Style[
              Text["vapor composition", {3.25, 1.6}, {0, 0}], 
              RGBColor[0, 0.48, 0], 14], 
             Style[
              Text[
               StringJoin[
                ToString[
                 NumberForm[
                  ReplaceAll[$CellContext`y, $CellContext`sol$], {4, 3}]], 
                " (benzene)"], {3.25, 1.4}, {0, 0}], 
              RGBColor[0, 0.48, 0], 14], 
             Style[
              Text["vapor fraction", {2.5, 0.4}, {0, 0}], Black, 14], 
             Style[
              Text[
               ToString[
                NumberForm[
                 ReplaceAll[$CellContext`V, $CellContext`sol$], {4, 3}]], {
               2.5, 0.2}, {0, 0}], Black, 14], 
             Style[
              Text["drum temperature", {2.5, -0.4}, {0, 0}], Blue, 14], 
             Style[
              Text[
               StringJoin[
                ToString[
                 NumberForm[
                  $CellContext`Tx[
                   ReplaceAll[$CellContext`x, $CellContext`sol$]], {4, 3}]], 
                " \[Degree]C"], {2.5, -0.6}, {0, 0}], Blue, 14]}], 
           ImageSize -> {400, 400}]]], 
      "Specifications" :> {{{$CellContext`TF$$, 280, 
          "feed temperature in \[Degree]C"}, 120, 300, 10, Appearance -> 
         "Labeled"}, {{$CellContext`zF$$, 0.72, "feed composition"}, 0.1, 0.9,
          0.01, Appearance -> "Labeled"}, {{$CellContext`ctrl$$, 2, ""}, {
         1 -> "Ponchon\[Dash]Savarit diagram", 2 -> 
          "flash distillation setup and results"}}}, 
      "Options" :> {
       TrackedSymbols -> {$CellContext`TF$$, $CellContext`zF$$, \
$CellContext`ctrl$$}}, "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{443., {269.34375, 274.65625}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->1545143013],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`ctrl$$ = 2, $CellContext`TF$$ = 
    200, $CellContext`zF$$ = 0.4, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`TF$$], 200, "feed temperature in \[Degree]C"}, 120, 
      300, 10}, {{
       Hold[$CellContext`zF$$], 0.4, "feed composition"}, 0.1, 0.9, 0.01}, {{
       Hold[$CellContext`ctrl$$], 2, ""}, {
      1 -> "Ponchon\[Dash]Savarit diagram", 2 -> 
       "flash distillation setup and results"}}}, Typeset`size$$ = {
    400., {198., 202.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`TF$4963$$ = 
    0, $CellContext`zF$4964$$ = 0, $CellContext`ctrl$4965$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`ctrl$$ = 2, $CellContext`TF$$ = 
        200, $CellContext`zF$$ = 0.4}, "ControllerVariables" :> {
        Hold[$CellContext`TF$$, $CellContext`TF$4963$$, 0], 
        Hold[$CellContext`zF$$, $CellContext`zF$4964$$, 0], 
        Hold[$CellContext`ctrl$$, $CellContext`ctrl$4965$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`plt$, $CellContext`plt2$, $CellContext`hF$, \
$CellContext`sol$}, $CellContext`P = 760; $CellContext`Aa1 = 
         6.90565; $CellContext`Ba1 = 1211.033; $CellContext`Ca1 = 
         220.79; $CellContext`Aa2 = 6.95464; $CellContext`Ba2 = 
         1344.8; $CellContext`Ca2 = 219.482; $CellContext`Psat1 = 
         10^($CellContext`Aa1 - $CellContext`Ba1/($CellContext`T + \
$CellContext`Ca1)); $CellContext`Psat2 = 
         10^($CellContext`Aa2 - $CellContext`Ba2/($CellContext`T + \
$CellContext`Ca2)); $CellContext`i = 0; 
        While[$CellContext`i <= 
          101, {$CellContext`xa = ($CellContext`i - 1) 
            0.01, $CellContext`sol$ = 
            FindRoot[$CellContext`Psat1 $CellContext`xa + $CellContext`Psat2 (
                 1 - $CellContext`xa) == $CellContext`P, {$CellContext`T, 10, 
               200}]; $CellContext`xe[$CellContext`i] = $CellContext`xa, \
$CellContext`ye[$CellContext`i] = 
           ReplaceAll[$CellContext`Psat1 ($CellContext`xa/$CellContext`P), \
$CellContext`sol$], $CellContext`Te[$CellContext`i] = 
           ReplaceAll[$CellContext`T, $CellContext`sol$], 
           Increment[$CellContext`i]}]; $CellContext`Tbl1 = Table[{
            $CellContext`xe[$CellContext`i], 
            $CellContext`Te[$CellContext`i]}, {$CellContext`i, 1, 
            101}]; $CellContext`Tbl2 = Table[{
            $CellContext`ye[$CellContext`i], 
            $CellContext`Te[$CellContext`i]}, {$CellContext`i, 1, 
            101}]; $CellContext`Tbl3 = Table[{
            $CellContext`xe[$CellContext`i], 
            $CellContext`ye[$CellContext`i]}, {$CellContext`i, 1, 
            101}]; $CellContext`Tx = 
         Interpolation[$CellContext`Tbl1, InterpolationOrder -> 
           1]; $CellContext`Ty = 
         Interpolation[$CellContext`Tbl2, InterpolationOrder -> 
           1]; $CellContext`xy = 
         Interpolation[$CellContext`Tbl3, InterpolationOrder -> 1]; 
        Subscript[$CellContext`\[Lambda], $CellContext`A] = 
         138.2 (80.1 - $CellContext`Tx[1]) + 30820 - 
          96.3 (80.1 - $CellContext`Tx[1]); 
        Subscript[$CellContext`\[Lambda], $CellContext`B] = 
         167.5 (110.6 - $CellContext`Tx[1]) + 33330 - 
          138.2 (110.6 - $CellContext`Tx[1]); $CellContext`H[
           Pattern[$CellContext`y, 
            Blank[]]] := $CellContext`y (
            Subscript[$CellContext`\[Lambda], $CellContext`A] + 
            96.3 ($CellContext`Ty[$CellContext`y] - $CellContext`Tx[1])) + (
            1 - $CellContext`y) (
            Subscript[$CellContext`\[Lambda], $CellContext`B] + 
            138.2 ($CellContext`Ty[$CellContext`y] - $CellContext`Tx[
              1])); $CellContext`h[
           Pattern[$CellContext`x, 
            Blank[]]] := $CellContext`x (
            138.2 ($CellContext`Tx[$CellContext`x] - $CellContext`Tx[1])) + (
            1 - $CellContext`x) (
            167.5 ($CellContext`Tx[$CellContext`x] - $CellContext`Tx[
             1])); $CellContext`hF$ = $CellContext`zF$$ (
            138.2 ($CellContext`TF$$ - $CellContext`Tx[1])) + (
            1 - $CellContext`zF$$) (
            167.5 ($CellContext`TF$$ - $CellContext`Tx[
             1])); $CellContext`sol$ = Quiet[
           
           FindRoot[{$CellContext`hF$ == $CellContext`L \
$CellContext`h[$CellContext`x] + $CellContext`V \
$CellContext`H[$CellContext`y], $CellContext`L + $CellContext`V == 
             1, $CellContext`xy[$CellContext`x] == $CellContext`y, \
$CellContext`L $CellContext`x + $CellContext`V $CellContext`y == \
$CellContext`zF$$}, {$CellContext`x, 0.9}, {$CellContext`y, 
             0.9}, {$CellContext`L, 0.9}, {$CellContext`V, 
             0.9}]]; $CellContext`plt$ = Quiet[
           Plot[{
             $CellContext`h[$CellContext`x], 
             $CellContext`H[$CellContext`x]}, {$CellContext`x, 0, 1}, Frame -> 
            True, GridLines -> Automatic, ImageSize -> {500, 350}, 
            PlotRange -> {{0, 1}, {0, 42000}}, PlotStyle -> Thick, 
            FrameLabel -> {
             "benzene vapor or liquid mole fractions", 
              "saturated vapor and liquid enthalpies"}]]; $CellContext`plt2$ = 
         Quiet[
           ListPlot[
            Table[{$CellContext`i, 
              $CellContext`H[
               $CellContext`xy[$CellContext`i]]}, {$CellContext`i, 0, 1, 
              0.05}], Joined -> True, PlotStyle -> {
              RGBColor[0.33, 0.6, 0.7], Thick}]]; 
        Switch[$CellContext`ctrl$$, 1, 
          Show[$CellContext`plt$, $CellContext`plt2$, 
           Graphics[{
             RGBColor[0.49, 0, 0], Thick, 
             ReplaceAll[
              Line[{{$CellContext`x, 
                 $CellContext`h[$CellContext`x]}, {$CellContext`x, 
                 $CellContext`H[
                  $CellContext`xy[$CellContext`x]]}}], $CellContext`sol$], 
             ReplaceAll[
              Line[{{$CellContext`x, 
                 $CellContext`H[
                  $CellContext`xy[$CellContext`x]]}, {
                 $CellContext`xy[$CellContext`x], 
                 $CellContext`H[
                  $CellContext`xy[$CellContext`x]]}}], $CellContext`sol$]}], 
           Graphics[{
             RGBColor[0.6, 0.73, 0.36], Thick, 
             Quiet[
              ReplaceAll[
               Line[{{$CellContext`x, 
                  $CellContext`h[$CellContext`x]}, {$CellContext`y, 
                  $CellContext`H[
                   $CellContext`xy[$CellContext`x]]}}], $CellContext`sol$]]}], 
           Graphics[{
             RGBColor[0, 0, 1], 
             PointSize[0.025], 
             Point[{$CellContext`zF$$, $CellContext`hF$}]}], 
           ImageSize -> {400, 400}], 2, 
          Show[
           Graphics[{
             RGBColor[0, 0.88, 0], 
             EdgeForm[Thick], 
             Rotate[
              Polygon[{{1, -0.2}, {1.4, 0.2}, {1., 0.2}, {1.4, -0.2}}], Pi/2], 
             RGBColor[0, 0, 0.48], 
             Arrow[{{0.185, 0}, {0.995, 0}}], 
             RGBColor[0, 0, 0.48], 
             Arrow[{{1.405, 0}, {1.9, 0}}], Pink, 
             Rectangle[{1.91, -1}, {3.11, 1}], 
             RGBColor[0, 0.48, 0], 
             Arrow[{{2.5, 1}, {2.5, 1.3}, {3.25, 1.3}}], Red, 
             Arrow[{{2.5, -1}, {2.5, -1.3}, {3.25, -1.3}}], 
             Style[
              Text["feed enthalpy", {0.205, 0.4}, {0, 0}], Blue, 14], 
             Style[
              Text[
               StringJoin[
                ToString[
                 NumberForm[$CellContext`hF$, {6, 1}]], 
                " kJ/kg\[Hyphen]mole"], {0.205, 0.2}, {0, 0}], Blue, 14], 
             Style[
              Text["liquid composition", {3.25, -1.4}, {0, 0}], Red, 14], 
             Style[
              Text[
               StringJoin[
                ToString[
                 NumberForm[
                  ReplaceAll[$CellContext`x, $CellContext`sol$], {4, 3}]], 
                " (benzene)"], {3.25, -1.6}, {0, 0}], Red, 14], 
             Style[
              Text["vapor composition", {3.25, 1.6}, {0, 0}], 
              RGBColor[0, 0.48, 0], 14], 
             Style[
              Text[
               StringJoin[
                ToString[
                 NumberForm[
                  ReplaceAll[$CellContext`y, $CellContext`sol$], {4, 3}]], 
                " (benzene)"], {3.25, 1.4}, {0, 0}], 
              RGBColor[0, 0.48, 0], 14], 
             Style[
              Text["vapor fraction", {2.5, 0.4}, {0, 0}], Black, 14], 
             Style[
              Text[
               ToString[
                NumberForm[
                 ReplaceAll[$CellContext`V, $CellContext`sol$], {4, 3}]], {
               2.5, 0.2}, {0, 0}], Black, 14], 
             Style[
              Text["drum temperature", {2.5, -0.4}, {0, 0}], Blue, 14], 
             Style[
              Text[
               StringJoin[
                ToString[
                 NumberForm[
                  $CellContext`Tx[
                   ReplaceAll[$CellContext`x, $CellContext`sol$]], {4, 3}]], 
                " \[Degree]C"], {2.5, -0.6}, {0, 0}], Blue, 14]}], 
           ImageSize -> {400, 400}]]], 
      "Specifications" :> {{{$CellContext`TF$$, 200, 
          "feed temperature in \[Degree]C"}, 120, 300, 10, Appearance -> 
         "Labeled"}, {{$CellContext`zF$$, 0.4, "feed composition"}, 0.1, 0.9, 
         0.01, Appearance -> "Labeled"}, {{$CellContext`ctrl$$, 2, ""}, {
         1 -> "Ponchon\[Dash]Savarit diagram", 2 -> 
          "flash distillation setup and results"}}}, 
      "Options" :> {
       TrackedSymbols -> {$CellContext`TF$$, $CellContext`zF$$, \
$CellContext`ctrl$$}}, "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{443., {269.34375, 274.65625}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->1846359967],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`ctrl$$ = 1, $CellContext`TF$$ = 
    280, $CellContext`zF$$ = 0.72, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`TF$$], 280, "feed temperature in \[Degree]C"}, 120, 
      300, 10}, {{
       Hold[$CellContext`zF$$], 0.72, "feed composition"}, 0.1, 0.9, 0.01}, {{
       Hold[$CellContext`ctrl$$], 1, ""}, {
      1 -> "Ponchon\[Dash]Savarit diagram", 2 -> 
       "flash distillation setup and results"}}}, Typeset`size$$ = {
    400., {198., 202.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`TF$5025$$ = 
    0, $CellContext`zF$5026$$ = 0, $CellContext`ctrl$5027$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`ctrl$$ = 1, $CellContext`TF$$ = 
        280, $CellContext`zF$$ = 0.72}, "ControllerVariables" :> {
        Hold[$CellContext`TF$$, $CellContext`TF$5025$$, 0], 
        Hold[$CellContext`zF$$, $CellContext`zF$5026$$, 0], 
        Hold[$CellContext`ctrl$$, $CellContext`ctrl$5027$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`plt$, $CellContext`plt2$, $CellContext`hF$, \
$CellContext`sol$}, $CellContext`P = 760; $CellContext`Aa1 = 
         6.90565; $CellContext`Ba1 = 1211.033; $CellContext`Ca1 = 
         220.79; $CellContext`Aa2 = 6.95464; $CellContext`Ba2 = 
         1344.8; $CellContext`Ca2 = 219.482; $CellContext`Psat1 = 
         10^($CellContext`Aa1 - $CellContext`Ba1/($CellContext`T + \
$CellContext`Ca1)); $CellContext`Psat2 = 
         10^($CellContext`Aa2 - $CellContext`Ba2/($CellContext`T + \
$CellContext`Ca2)); $CellContext`i = 0; 
        While[$CellContext`i <= 
          101, {$CellContext`xa = ($CellContext`i - 1) 
            0.01, $CellContext`sol$ = 
            FindRoot[$CellContext`Psat1 $CellContext`xa + $CellContext`Psat2 (
                 1 - $CellContext`xa) == $CellContext`P, {$CellContext`T, 10, 
               200}]; $CellContext`xe[$CellContext`i] = $CellContext`xa, \
$CellContext`ye[$CellContext`i] = 
           ReplaceAll[$CellContext`Psat1 ($CellContext`xa/$CellContext`P), \
$CellContext`sol$], $CellContext`Te[$CellContext`i] = 
           ReplaceAll[$CellContext`T, $CellContext`sol$], 
           Increment[$CellContext`i]}]; $CellContext`Tbl1 = Table[{
            $CellContext`xe[$CellContext`i], 
            $CellContext`Te[$CellContext`i]}, {$CellContext`i, 1, 
            101}]; $CellContext`Tbl2 = Table[{
            $CellContext`ye[$CellContext`i], 
            $CellContext`Te[$CellContext`i]}, {$CellContext`i, 1, 
            101}]; $CellContext`Tbl3 = Table[{
            $CellContext`xe[$CellContext`i], 
            $CellContext`ye[$CellContext`i]}, {$CellContext`i, 1, 
            101}]; $CellContext`Tx = 
         Interpolation[$CellContext`Tbl1, InterpolationOrder -> 
           1]; $CellContext`Ty = 
         Interpolation[$CellContext`Tbl2, InterpolationOrder -> 
           1]; $CellContext`xy = 
         Interpolation[$CellContext`Tbl3, InterpolationOrder -> 1]; 
        Subscript[$CellContext`\[Lambda], $CellContext`A] = 
         138.2 (80.1 - $CellContext`Tx[1]) + 30820 - 
          96.3 (80.1 - $CellContext`Tx[1]); 
        Subscript[$CellContext`\[Lambda], $CellContext`B] = 
         167.5 (110.6 - $CellContext`Tx[1]) + 33330 - 
          138.2 (110.6 - $CellContext`Tx[1]); $CellContext`H[
           Pattern[$CellContext`y, 
            Blank[]]] := $CellContext`y (
            Subscript[$CellContext`\[Lambda], $CellContext`A] + 
            96.3 ($CellContext`Ty[$CellContext`y] - $CellContext`Tx[1])) + (
            1 - $CellContext`y) (
            Subscript[$CellContext`\[Lambda], $CellContext`B] + 
            138.2 ($CellContext`Ty[$CellContext`y] - $CellContext`Tx[
              1])); $CellContext`h[
           Pattern[$CellContext`x, 
            Blank[]]] := $CellContext`x (
            138.2 ($CellContext`Tx[$CellContext`x] - $CellContext`Tx[1])) + (
            1 - $CellContext`x) (
            167.5 ($CellContext`Tx[$CellContext`x] - $CellContext`Tx[
             1])); $CellContext`hF$ = $CellContext`zF$$ (
            138.2 ($CellContext`TF$$ - $CellContext`Tx[1])) + (
            1 - $CellContext`zF$$) (
            167.5 ($CellContext`TF$$ - $CellContext`Tx[
             1])); $CellContext`sol$ = Quiet[
           
           FindRoot[{$CellContext`hF$ == $CellContext`L \
$CellContext`h[$CellContext`x] + $CellContext`V \
$CellContext`H[$CellContext`y], $CellContext`L + $CellContext`V == 
             1, $CellContext`xy[$CellContext`x] == $CellContext`y, \
$CellContext`L $CellContext`x + $CellContext`V $CellContext`y == \
$CellContext`zF$$}, {$CellContext`x, 0.9}, {$CellContext`y, 
             0.9}, {$CellContext`L, 0.9}, {$CellContext`V, 
             0.9}]]; $CellContext`plt$ = Quiet[
           Plot[{
             $CellContext`h[$CellContext`x], 
             $CellContext`H[$CellContext`x]}, {$CellContext`x, 0, 1}, Frame -> 
            True, GridLines -> Automatic, ImageSize -> {500, 350}, 
            PlotRange -> {{0, 1}, {0, 42000}}, PlotStyle -> Thick, 
            FrameLabel -> {
             "benzene vapor or liquid mole fractions", 
              "saturated vapor and liquid enthalpies"}]]; $CellContext`plt2$ = 
         Quiet[
           ListPlot[
            Table[{$CellContext`i, 
              $CellContext`H[
               $CellContext`xy[$CellContext`i]]}, {$CellContext`i, 0, 1, 
              0.05}], Joined -> True, PlotStyle -> {
              RGBColor[0.33, 0.6, 0.7], Thick}]]; 
        Switch[$CellContext`ctrl$$, 1, 
          Show[$CellContext`plt$, $CellContext`plt2$, 
           Graphics[{
             RGBColor[0.49, 0, 0], Thick, 
             ReplaceAll[
              Line[{{$CellContext`x, 
                 $CellContext`h[$CellContext`x]}, {$CellContext`x, 
                 $CellContext`H[
                  $CellContext`xy[$CellContext`x]]}}], $CellContext`sol$], 
             ReplaceAll[
              Line[{{$CellContext`x, 
                 $CellContext`H[
                  $CellContext`xy[$CellContext`x]]}, {
                 $CellContext`xy[$CellContext`x], 
                 $CellContext`H[
                  $CellContext`xy[$CellContext`x]]}}], $CellContext`sol$]}], 
           Graphics[{
             RGBColor[0.6, 0.73, 0.36], Thick, 
             Quiet[
              ReplaceAll[
               Line[{{$CellContext`x, 
                  $CellContext`h[$CellContext`x]}, {$CellContext`y, 
                  $CellContext`H[
                   $CellContext`xy[$CellContext`x]]}}], $CellContext`sol$]]}], 
           Graphics[{
             RGBColor[0, 0, 1], 
             PointSize[0.025], 
             Point[{$CellContext`zF$$, $CellContext`hF$}]}], 
           ImageSize -> {400, 400}], 2, 
          Show[
           Graphics[{
             RGBColor[0, 0.88, 0], 
             EdgeForm[Thick], 
             Rotate[
              Polygon[{{1, -0.2}, {1.4, 0.2}, {1., 0.2}, {1.4, -0.2}}], Pi/2], 
             RGBColor[0, 0, 0.48], 
             Arrow[{{0.185, 0}, {0.995, 0}}], 
             RGBColor[0, 0, 0.48], 
             Arrow[{{1.405, 0}, {1.9, 0}}], Pink, 
             Rectangle[{1.91, -1}, {3.11, 1}], 
             RGBColor[0, 0.48, 0], 
             Arrow[{{2.5, 1}, {2.5, 1.3}, {3.25, 1.3}}], Red, 
             Arrow[{{2.5, -1}, {2.5, -1.3}, {3.25, -1.3}}], 
             Style[
              Text["feed enthalpy", {0.205, 0.4}, {0, 0}], Blue, 14], 
             Style[
              Text[
               StringJoin[
                ToString[
                 NumberForm[$CellContext`hF$, {6, 1}]], 
                " kJ/kg\[Hyphen]mole"], {0.205, 0.2}, {0, 0}], Blue, 14], 
             Style[
              Text["liquid composition", {3.25, -1.4}, {0, 0}], Red, 14], 
             Style[
              Text[
               StringJoin[
                ToString[
                 NumberForm[
                  ReplaceAll[$CellContext`x, $CellContext`sol$], {4, 3}]], 
                " (benzene)"], {3.25, -1.6}, {0, 0}], Red, 14], 
             Style[
              Text["vapor composition", {3.25, 1.6}, {0, 0}], 
              RGBColor[0, 0.48, 0], 14], 
             Style[
              Text[
               StringJoin[
                ToString[
                 NumberForm[
                  ReplaceAll[$CellContext`y, $CellContext`sol$], {4, 3}]], 
                " (benzene)"], {3.25, 1.4}, {0, 0}], 
              RGBColor[0, 0.48, 0], 14], 
             Style[
              Text["vapor fraction", {2.5, 0.4}, {0, 0}], Black, 14], 
             Style[
              Text[
               ToString[
                NumberForm[
                 ReplaceAll[$CellContext`V, $CellContext`sol$], {4, 3}]], {
               2.5, 0.2}, {0, 0}], Black, 14], 
             Style[
              Text["drum temperature", {2.5, -0.4}, {0, 0}], Blue, 14], 
             Style[
              Text[
               StringJoin[
                ToString[
                 NumberForm[
                  $CellContext`Tx[
                   ReplaceAll[$CellContext`x, $CellContext`sol$]], {4, 3}]], 
                " \[Degree]C"], {2.5, -0.6}, {0, 0}], Blue, 14]}], 
           ImageSize -> {400, 400}]]], 
      "Specifications" :> {{{$CellContext`TF$$, 280, 
          "feed temperature in \[Degree]C"}, 120, 300, 10, Appearance -> 
         "Labeled"}, {{$CellContext`zF$$, 0.72, "feed composition"}, 0.1, 0.9,
          0.01, Appearance -> "Labeled"}, {{$CellContext`ctrl$$, 1, ""}, {
         1 -> "Ponchon\[Dash]Savarit diagram", 2 -> 
          "flash distillation setup and results"}}}, 
      "Options" :> {
       TrackedSymbols -> {$CellContext`TF$$, $CellContext`zF$$, \
$CellContext`ctrl$$}}, "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{443., {269.34375, 274.65625}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->633266219],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`ctrl$$ = 1, $CellContext`TF$$ = 
    200, $CellContext`zF$$ = 0.4, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`TF$$], 200, "feed temperature in \[Degree]C"}, 120, 
      300, 10}, {{
       Hold[$CellContext`zF$$], 0.4, "feed composition"}, 0.1, 0.9, 0.01}, {{
       Hold[$CellContext`ctrl$$], 1, ""}, {
      1 -> "Ponchon\[Dash]Savarit diagram", 2 -> 
       "flash distillation setup and results"}}}, Typeset`size$$ = {
    400., {198., 202.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`TF$5087$$ = 
    0, $CellContext`zF$5088$$ = 0, $CellContext`ctrl$5089$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`ctrl$$ = 1, $CellContext`TF$$ = 
        200, $CellContext`zF$$ = 0.4}, "ControllerVariables" :> {
        Hold[$CellContext`TF$$, $CellContext`TF$5087$$, 0], 
        Hold[$CellContext`zF$$, $CellContext`zF$5088$$, 0], 
        Hold[$CellContext`ctrl$$, $CellContext`ctrl$5089$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`plt$, $CellContext`plt2$, $CellContext`hF$, \
$CellContext`sol$}, $CellContext`P = 760; $CellContext`Aa1 = 
         6.90565; $CellContext`Ba1 = 1211.033; $CellContext`Ca1 = 
         220.79; $CellContext`Aa2 = 6.95464; $CellContext`Ba2 = 
         1344.8; $CellContext`Ca2 = 219.482; $CellContext`Psat1 = 
         10^($CellContext`Aa1 - $CellContext`Ba1/($CellContext`T + \
$CellContext`Ca1)); $CellContext`Psat2 = 
         10^($CellContext`Aa2 - $CellContext`Ba2/($CellContext`T + \
$CellContext`Ca2)); $CellContext`i = 0; 
        While[$CellContext`i <= 
          101, {$CellContext`xa = ($CellContext`i - 1) 
            0.01, $CellContext`sol$ = 
            FindRoot[$CellContext`Psat1 $CellContext`xa + $CellContext`Psat2 (
                 1 - $CellContext`xa) == $CellContext`P, {$CellContext`T, 10, 
               200}]; $CellContext`xe[$CellContext`i] = $CellContext`xa, \
$CellContext`ye[$CellContext`i] = 
           ReplaceAll[$CellContext`Psat1 ($CellContext`xa/$CellContext`P), \
$CellContext`sol$], $CellContext`Te[$CellContext`i] = 
           ReplaceAll[$CellContext`T, $CellContext`sol$], 
           Increment[$CellContext`i]}]; $CellContext`Tbl1 = Table[{
            $CellContext`xe[$CellContext`i], 
            $CellContext`Te[$CellContext`i]}, {$CellContext`i, 1, 
            101}]; $CellContext`Tbl2 = Table[{
            $CellContext`ye[$CellContext`i], 
            $CellContext`Te[$CellContext`i]}, {$CellContext`i, 1, 
            101}]; $CellContext`Tbl3 = Table[{
            $CellContext`xe[$CellContext`i], 
            $CellContext`ye[$CellContext`i]}, {$CellContext`i, 1, 
            101}]; $CellContext`Tx = 
         Interpolation[$CellContext`Tbl1, InterpolationOrder -> 
           1]; $CellContext`Ty = 
         Interpolation[$CellContext`Tbl2, InterpolationOrder -> 
           1]; $CellContext`xy = 
         Interpolation[$CellContext`Tbl3, InterpolationOrder -> 1]; 
        Subscript[$CellContext`\[Lambda], $CellContext`A] = 
         138.2 (80.1 - $CellContext`Tx[1]) + 30820 - 
          96.3 (80.1 - $CellContext`Tx[1]); 
        Subscript[$CellContext`\[Lambda], $CellContext`B] = 
         167.5 (110.6 - $CellContext`Tx[1]) + 33330 - 
          138.2 (110.6 - $CellContext`Tx[1]); $CellContext`H[
           Pattern[$CellContext`y, 
            Blank[]]] := $CellContext`y (
            Subscript[$CellContext`\[Lambda], $CellContext`A] + 
            96.3 ($CellContext`Ty[$CellContext`y] - $CellContext`Tx[1])) + (
            1 - $CellContext`y) (
            Subscript[$CellContext`\[Lambda], $CellContext`B] + 
            138.2 ($CellContext`Ty[$CellContext`y] - $CellContext`Tx[
              1])); $CellContext`h[
           Pattern[$CellContext`x, 
            Blank[]]] := $CellContext`x (
            138.2 ($CellContext`Tx[$CellContext`x] - $CellContext`Tx[1])) + (
            1 - $CellContext`x) (
            167.5 ($CellContext`Tx[$CellContext`x] - $CellContext`Tx[
             1])); $CellContext`hF$ = $CellContext`zF$$ (
            138.2 ($CellContext`TF$$ - $CellContext`Tx[1])) + (
            1 - $CellContext`zF$$) (
            167.5 ($CellContext`TF$$ - $CellContext`Tx[
             1])); $CellContext`sol$ = Quiet[
           
           FindRoot[{$CellContext`hF$ == $CellContext`L \
$CellContext`h[$CellContext`x] + $CellContext`V \
$CellContext`H[$CellContext`y], $CellContext`L + $CellContext`V == 
             1, $CellContext`xy[$CellContext`x] == $CellContext`y, \
$CellContext`L $CellContext`x + $CellContext`V $CellContext`y == \
$CellContext`zF$$}, {$CellContext`x, 0.9}, {$CellContext`y, 
             0.9}, {$CellContext`L, 0.9}, {$CellContext`V, 
             0.9}]]; $CellContext`plt$ = Quiet[
           Plot[{
             $CellContext`h[$CellContext`x], 
             $CellContext`H[$CellContext`x]}, {$CellContext`x, 0, 1}, Frame -> 
            True, GridLines -> Automatic, ImageSize -> {500, 350}, 
            PlotRange -> {{0, 1}, {0, 42000}}, PlotStyle -> Thick, 
            FrameLabel -> {
             "benzene vapor or liquid mole fractions", 
              "saturated vapor and liquid enthalpies"}]]; $CellContext`plt2$ = 
         Quiet[
           ListPlot[
            Table[{$CellContext`i, 
              $CellContext`H[
               $CellContext`xy[$CellContext`i]]}, {$CellContext`i, 0, 1, 
              0.05}], Joined -> True, PlotStyle -> {
              RGBColor[0.33, 0.6, 0.7], Thick}]]; 
        Switch[$CellContext`ctrl$$, 1, 
          Show[$CellContext`plt$, $CellContext`plt2$, 
           Graphics[{
             RGBColor[0.49, 0, 0], Thick, 
             ReplaceAll[
              Line[{{$CellContext`x, 
                 $CellContext`h[$CellContext`x]}, {$CellContext`x, 
                 $CellContext`H[
                  $CellContext`xy[$CellContext`x]]}}], $CellContext`sol$], 
             ReplaceAll[
              Line[{{$CellContext`x, 
                 $CellContext`H[
                  $CellContext`xy[$CellContext`x]]}, {
                 $CellContext`xy[$CellContext`x], 
                 $CellContext`H[
                  $CellContext`xy[$CellContext`x]]}}], $CellContext`sol$]}], 
           Graphics[{
             RGBColor[0.6, 0.73, 0.36], Thick, 
             Quiet[
              ReplaceAll[
               Line[{{$CellContext`x, 
                  $CellContext`h[$CellContext`x]}, {$CellContext`y, 
                  $CellContext`H[
                   $CellContext`xy[$CellContext`x]]}}], $CellContext`sol$]]}], 
           Graphics[{
             RGBColor[0, 0, 1], 
             PointSize[0.025], 
             Point[{$CellContext`zF$$, $CellContext`hF$}]}], 
           ImageSize -> {400, 400}], 2, 
          Show[
           Graphics[{
             RGBColor[0, 0.88, 0], 
             EdgeForm[Thick], 
             Rotate[
              Polygon[{{1, -0.2}, {1.4, 0.2}, {1., 0.2}, {1.4, -0.2}}], Pi/2], 
             RGBColor[0, 0, 0.48], 
             Arrow[{{0.185, 0}, {0.995, 0}}], 
             RGBColor[0, 0, 0.48], 
             Arrow[{{1.405, 0}, {1.9, 0}}], Pink, 
             Rectangle[{1.91, -1}, {3.11, 1}], 
             RGBColor[0, 0.48, 0], 
             Arrow[{{2.5, 1}, {2.5, 1.3}, {3.25, 1.3}}], Red, 
             Arrow[{{2.5, -1}, {2.5, -1.3}, {3.25, -1.3}}], 
             Style[
              Text["feed enthalpy", {0.205, 0.4}, {0, 0}], Blue, 14], 
             Style[
              Text[
               StringJoin[
                ToString[
                 NumberForm[$CellContext`hF$, {6, 1}]], 
                " kJ/kg\[Hyphen]mole"], {0.205, 0.2}, {0, 0}], Blue, 14], 
             Style[
              Text["liquid composition", {3.25, -1.4}, {0, 0}], Red, 14], 
             Style[
              Text[
               StringJoin[
                ToString[
                 NumberForm[
                  ReplaceAll[$CellContext`x, $CellContext`sol$], {4, 3}]], 
                " (benzene)"], {3.25, -1.6}, {0, 0}], Red, 14], 
             Style[
              Text["vapor composition", {3.25, 1.6}, {0, 0}], 
              RGBColor[0, 0.48, 0], 14], 
             Style[
              Text[
               StringJoin[
                ToString[
                 NumberForm[
                  ReplaceAll[$CellContext`y, $CellContext`sol$], {4, 3}]], 
                " (benzene)"], {3.25, 1.4}, {0, 0}], 
              RGBColor[0, 0.48, 0], 14], 
             Style[
              Text["vapor fraction", {2.5, 0.4}, {0, 0}], Black, 14], 
             Style[
              Text[
               ToString[
                NumberForm[
                 ReplaceAll[$CellContext`V, $CellContext`sol$], {4, 3}]], {
               2.5, 0.2}, {0, 0}], Black, 14], 
             Style[
              Text["drum temperature", {2.5, -0.4}, {0, 0}], Blue, 14], 
             Style[
              Text[
               StringJoin[
                ToString[
                 NumberForm[
                  $CellContext`Tx[
                   ReplaceAll[$CellContext`x, $CellContext`sol$]], {4, 3}]], 
                " \[Degree]C"], {2.5, -0.6}, {0, 0}], Blue, 14]}], 
           ImageSize -> {400, 400}]]], 
      "Specifications" :> {{{$CellContext`TF$$, 200, 
          "feed temperature in \[Degree]C"}, 120, 300, 10, Appearance -> 
         "Labeled"}, {{$CellContext`zF$$, 0.4, "feed composition"}, 0.1, 0.9, 
         0.01, Appearance -> "Labeled"}, {{$CellContext`ctrl$$, 1, ""}, {
         1 -> "Ponchon\[Dash]Savarit diagram", 2 -> 
          "flash distillation setup and results"}}}, 
      "Options" :> {
       TrackedSymbols -> {$CellContext`TF$$, $CellContext`zF$$, \
$CellContext`ctrl$$}}, "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{443., {269.34375, 274.65625}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->376388201]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "DetailsSection"],

Cell["Reference", "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, 3.494198272045907*^9, {3.49425649546471*^9, 
   3.494256515798786*^9}},
 CellID->73574573],

Cell[TextData[{
 "[1] C. J. Geankoplis, ",
 StyleBox["Transport Processes and Unit Operations",
  FontSlant->"Italic"],
 ", 3rd ed., Englewood Cliffs, NJ: Prentice Hall International Editions, 1993."
}], "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, 3.494198272045907*^9, 3.49425649546471*^9, {
   3.494256528226817*^9, 3.494256537575488*^9}},
 CellID->1617153792]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "ControlSuggestionsSection"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[True], Cell[" Resize Images"]}],
  "\"Click inside an image to reveal its orange resize frame.\\nDrag any of \
the orange resize handles to resize the image.\"",
  TooltipDelay->0.35]], "ControlSuggestions",
 CellChangeTimes->{3.35696210375764*^9, 3.5125459418125*^9},
 FontFamily->"Verdana",
 CellTags->"ResizeImages"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Rotate and Zoom in 3D"]}],
  RowBox[{
   "\"Drag a 3D graphic to rotate it. Starting the drag near the center \
tumbles\\nthe graphic; starting near a corner turns it parallel to the plane \
of the screen.\\nHold down \"", 
    FrameBox[
    "Ctrl", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" (or \"", 
    FrameBox[
    "Cmd", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" on Mac) and drag up and down to zoom.\""}],
  TooltipDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"RotateAndZoomIn3D"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Drag Locators"]}],
  RowBox[{"\"Drag any locator (\"", 
    GraphicsBox[
     LocatorBox[
      Scaled[{0.5, 0.5}]], ImageSize -> 20], 
    "\", etc.) to move it around.\""}],
  TooltipDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"DragLocators"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Create and Delete Locators"]}],
  RowBox[{"\"Insert a new locator in the graphic by holding down the \"", 
    FrameBox[
    "Alt", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], 
    "\" key\\nand clicking where you want it to be. Delete a locator by \
clicking it\\nwhile holding down the \"", 
    FrameBox[
    "Alt", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" key.\""}],
  TooltipDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"CreateAndDeleteLocators"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[True], Cell[" Slider Zoom"]}],
  RowBox[{"\"Hold down the \"", 
    FrameBox[
    "Alt", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], 
    "\" key while moving a slider to make fine adjustments in the slider \
value.\\nHold \"", 
    FrameBox[
    "Ctrl", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" and/or \"", 
    FrameBox[
    "Shift", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" at the same time as \"", 
    FrameBox[
    "Alt", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" to make ever finer adjustments.\""}],
  TooltipDelay->0.35]], "ControlSuggestions",
 CellChangeTimes->{3.35696210375764*^9, 3.51254594309375*^9},
 FontFamily->"Verdana",
 CellTags->"SliderZoom"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Gamepad Controls"]}],
  "\"Control this Demonstration with a gamepad or other\\nhuman interface \
device connected to your computer.\"",
  TooltipDelay->0.35]], "ControlSuggestions",
 CellChangeTimes->{3.35696210375764*^9, 3.3895522232313623`*^9},
 FontFamily->"Verdana",
 CellTags->"GamepadControls"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[True], Cell[" Automatic Animation"]}],
  RowBox[{"\"Animate a slider in this Demonstration by clicking the\"", 
    AdjustmentBox[
     Cell[
      GraphicsData[
      "CompressedBitmap", 
       "eJzzTSzJSM1NLMlMTlRwL0osyMhMLlZwyy8CCjEzMjAwcIKwAgOI/R/IhBKc\n\
/4EAyGAG0f+nTZsGwgysIJIRKsWKLAXGIHFmEpUgLADxWUAkI24jZs+eTaEt\n\
IG+wQKRmzJgBlYf5lhEA30OqWA=="], "Graphics", ImageSize -> {9, 9}, ImageMargins -> 
      0, CellBaseline -> Baseline], BoxBaselineShift -> 0.1839080459770115, 
     BoxMargins -> {{0., 0.}, {-0.1839080459770115, 0.1839080459770115}}], 
    "\"button\\nnext to the slider, and then clicking the play button that \
appears.\\nAnimate all controls by selecting \"", 
    StyleBox["Autorun", FontWeight -> "Bold"], "\" from the\"", 
    AdjustmentBox[
     Cell[
      GraphicsData[
      "CompressedBitmap", 
       "eJyNULENwyAQfEySIlMwTVJlCGRFsosokeNtqBmDBagoaZjAI1C8/8GUUUC6\n\
57h7cQ8PvU7Pl17nUav7oj/TPH7V7b2QJAUAXBkKmCPRowxICy64bRvGGNF7\n\
X8CctGoDSN4xhIDGGDhzFXwUh3/ClBKrDQPmnGXtI6u0OOd+tZBVUqy1xSaH\n\
UqiK6pPe4XdEdAz6563tx/gejuORGMxJaz8mdpJn7hc="], "Graphics", 
      ImageSize -> {10, 10}, ImageMargins -> 0, CellBaseline -> Baseline], 
     BoxBaselineShift -> 0.1839080459770115, 
     BoxMargins -> {{0., 0.}, {-0.1839080459770115, 0.1839080459770115}}], 
    "\"menu.\""}],
  TooltipDelay->0.35]], "ControlSuggestions",
 CellChangeTimes->{3.35696210375764*^9, 3.512545944*^9},
 FontFamily->"Verdana",
 CellTags->"AutomaticAnimation"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Bookmark Animation"]}],
  RowBox[{
   "\"See a prepared animation of this Demonstration by selecting\\n\"", 
    StyleBox["Animate Bookmarks", FontWeight -> "Bold"], "\" from the\"", 
    AdjustmentBox[
     Cell[
      GraphicsData[
      "CompressedBitmap", 
       "eJyNULENwyAQfEySIlMwTVJlCGRFsosokeNtqBmDBagoaZjAI1C8/8GUUUC6\n\
57h7cQ8PvU7Pl17nUav7oj/TPH7V7b2QJAUAXBkKmCPRowxICy64bRvGGNF7\n\
X8CctGoDSN4xhIDGGDhzFXwUh3/ClBKrDQPmnGXtI6u0OOd+tZBVUqy1xSaH\n\
UqiK6pPe4XdEdAz6563tx/gejuORGMxJaz8mdpJn7hc="], "Graphics", 
      ImageSize -> {10, 10}, ImageMargins -> 0, CellBaseline -> Baseline], 
     BoxBaselineShift -> 0.1839080459770115, 
     BoxMargins -> {{0., 0.}, {-0.1839080459770115, 0.1839080459770115}}], 
    "\"menu.\""}],
  TooltipDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"BookmarkAnimation"]
}, Open  ]],

Cell["", "SearchTermsSection"],

Cell["", "RelatedLinksSection"],

Cell[CellGroupData[{

Cell["", "AuthorSection"],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Housam Binous",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Housam+Binous"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Housam+Binous"],
 " and ",
 ButtonBox["Ahmed Bellagi",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Ahmed+Bellagi"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Ahmed+Bellagi"]
}], "Author",
 CellChangeTimes->{
  3.35696210375764*^9, {3.51254594996875*^9, 3.51254595071875*^9}, 
   3.512546058734375*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{892, 596},
WindowMargins->{{347, Automatic}, {Automatic, 84}},
FrontEndVersion->"7.0 for Mac OS X x86 (32-bit) (February 18, 2009)",
StyleDefinitions->FrontEnd`FileName[{"Wolfram"}, "Demonstration.nb", 
  CharacterEncoding -> "UTF-8"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "ResizeImages"->{
  Cell[91541, 2046, 372, 9, 29, "ControlSuggestions",
   CellTags->"ResizeImages"]},
 "RotateAndZoomIn3D"->{
  Cell[91916, 2057, 678, 16, 29, "ControlSuggestions",
   CellTags->"RotateAndZoomIn3D"]},
 "DragLocators"->{
  Cell[92597, 2075, 340, 11, 29, "ControlSuggestions",
   CellTags->"DragLocators"]},
 "CreateAndDeleteLocators"->{
  Cell[92940, 2088, 637, 15, 29, "ControlSuggestions",
   CellTags->"CreateAndDeleteLocators"]},
 "SliderZoom"->{
  Cell[93580, 2105, 905, 22, 29, "ControlSuggestions",
   CellTags->"SliderZoom"]},
 "GamepadControls"->{
  Cell[94488, 2129, 369, 9, 29, "ControlSuggestions",
   CellTags->"GamepadControls"]},
 "AutomaticAnimation"->{
  Cell[94860, 2140, 1520, 32, 29, "ControlSuggestions",
   CellTags->"AutomaticAnimation"]},
 "BookmarkAnimation"->{
  Cell[96383, 2174, 908, 21, 29, "ControlSuggestions",
   CellTags->"BookmarkAnimation"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"ResizeImages", 98490, 2241},
 {"RotateAndZoomIn3D", 98599, 2244},
 {"DragLocators", 98709, 2247},
 {"CreateAndDeleteLocators", 98825, 2250},
 {"SliderZoom", 98939, 2253},
 {"GamepadControls", 99045, 2256},
 {"AutomaticAnimation", 99158, 2259},
 {"BookmarkAnimation", 99275, 2262}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[422, 15, 241, 3, 74, "DemoTitle"],
Cell[666, 20, 33, 0, 266, "InitializationSection"],
Cell[CellGroupData[{
Cell[724, 24, 29, 0, 188, "ManipulateSection"],
Cell[CellGroupData[{
Cell[778, 28, 24578, 604, 729, "Input",
 CellID->210373627],
Cell[25359, 634, 10603, 220, 556, "Output",
 CellID->1784514344]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[36011, 860, 36, 0, 166, "ManipulateCaptionSection"],
Cell[36050, 862, 461, 9, 35, "ManipulateCaption",
 CellID->6033742],
Cell[36514, 873, 526, 10, 35, "ManipulateCaption",
 CellID->527128855],
Cell[37043, 885, 645, 12, 51, "ManipulateCaption",
 CellID->396597635]
}, Open  ]],
Cell[CellGroupData[{
Cell[37725, 902, 28, 0, 168, "ThumbnailSection"],
Cell[37756, 904, 10602, 220, 556, "Output",
 CellID->575965606]
}, Open  ]],
Cell[CellGroupData[{
Cell[48395, 1129, 28, 0, 138, "SnapshotsSection"],
Cell[48426, 1131, 10607, 220, 556, "Output",
 CellID->1545143013],
Cell[59036, 1353, 10603, 220, 556, "Output",
 CellID->1846359967],
Cell[69642, 1575, 10606, 220, 556, "Output",
 CellID->633266219],
Cell[80251, 1797, 10602, 220, 556, "Output",
 CellID->376388201]
}, Open  ]],
Cell[CellGroupData[{
Cell[90890, 2022, 26, 0, 338, "DetailsSection"],
Cell[90919, 2024, 166, 4, 21, "DetailNotes",
 CellID->73574573],
Cell[91088, 2030, 376, 9, 35, "DetailNotes",
 CellID->1617153792]
}, Open  ]],
Cell[CellGroupData[{
Cell[91501, 2044, 37, 0, 126, "ControlSuggestionsSection"],
Cell[91541, 2046, 372, 9, 29, "ControlSuggestions",
 CellTags->"ResizeImages"],
Cell[91916, 2057, 678, 16, 29, "ControlSuggestions",
 CellTags->"RotateAndZoomIn3D"],
Cell[92597, 2075, 340, 11, 29, "ControlSuggestions",
 CellTags->"DragLocators"],
Cell[92940, 2088, 637, 15, 29, "ControlSuggestions",
 CellTags->"CreateAndDeleteLocators"],
Cell[93580, 2105, 905, 22, 29, "ControlSuggestions",
 CellTags->"SliderZoom"],
Cell[94488, 2129, 369, 9, 29, "ControlSuggestions",
 CellTags->"GamepadControls"],
Cell[94860, 2140, 1520, 32, 29, "ControlSuggestions",
 CellTags->"AutomaticAnimation"],
Cell[96383, 2174, 908, 21, 29, "ControlSuggestions",
 CellTags->"BookmarkAnimation"]
}, Open  ]],
Cell[97306, 2198, 30, 0, 158, "SearchTermsSection"],
Cell[97339, 2200, 31, 0, 126, "RelatedLinksSection"],
Cell[CellGroupData[{
Cell[97395, 2204, 25, 0, 124, "AuthorSection"],
Cell[97423, 2206, 673, 20, 21, "Author"]
}, Open  ]]
}, Open  ]]
}
]
*)

